/**
 * TotalizationNisCode.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.demographics;

import java.io.Serializable;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * Representation of the totalization NIS Codes.
 */
@XStreamAlias("totalization-match")
public class TotalizationNisCode implements Serializable {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = -7779380428430511007L;

	/** Constest custom code. */
	@XStreamAlias("contest-custom-code")
	@XStreamAsAttribute
	String contestCustomCode;

	/** Totalization NIS code. */
	@XStreamAlias("output-nis-code")
	@XStreamAsAttribute
	String nisCode;

	/** Totalization short code. */
	@XStreamAlias("output-short-code")
	@XStreamAsAttribute
	String shortCode;

	/**
	 * Getter of <code>name</code> property.
	 * 
	 * @return <code>name</code> property value.
	 * @see #name
	 */
	public String getContestCustomCode() {
		return this.contestCustomCode;
	}

	/**
	 * Setter of <code>name</code> property.
	 * 
	 * @param name
	 *            The <code>name</code> to set.
	 * @see #name
	 */
	public void setContestCustomCode(String contestCustomCode) {
		this.contestCustomCode = contestCustomCode;
	}

	/**
	 * Getter of <code>name</code> property.
	 * 
	 * @return <code>name</code> property value.
	 * @see #name
	 */
	public String getNisCode() {
		return this.nisCode;
	}

	/**
	 * Setter of <code>name</code> property.
	 * 
	 * @param name
	 *            The <code>name</code> to set.
	 * @see #name
	 */
	public void setNisCode(String nisCode) {
		this.nisCode = nisCode;
	}

	/**
	 * Getter of <code>name</code> property.
	 * 
	 * @return <code>name</code> property value.
	 * @see #name
	 */
	public String getShortCode() {
		return this.shortCode;
	}

	/**
	 * Setter of <code>name</code> property.
	 * 
	 * @param name
	 *            The <code>name</code> to set.
	 * @see #name
	 */
	public void setShortCode(String shortCode) {
		this.shortCode = shortCode;
	}

}