package com.smartmatic.waffle.domain.device;

import java.io.Serializable;
import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamOmitField;

@XStreamAlias("custom-attribute-definition")
public class CustomAttributeDefinition implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5221917614779658687L;

	@XStreamAlias("code")
	@XStreamAsAttribute
	private String code;

	@XStreamAlias("name-key")
	@XStreamAsAttribute
	private String name;

	@XStreamAlias("description-key")
	@XStreamAsAttribute
	private String descriptionKey;

	@XStreamAlias("machine-type")
	@XStreamAsAttribute
	private String machineType;

	@XStreamOmitField
	long precedence;

	// @XStreamImplicit(itemFieldName = "custom-attribute-definition-values")
	@XStreamAlias("custom-attribute-definition-values")
	private List<CustomAttributeDefinitionValue> customAttributeDefinitionValues;

	/**
	 * Getter of {@link #code} field.
	 * 
	 * @return {@link #code} value.
	 */
	public String getCode() {
		return this.code;
	}

	/**
	 * Setter of {@link #code} field.
	 * 
	 * @param code
	 *            The String to set.
	 */
	public void setCode(String code) {
		this.code = code;
	}

	/**
	 * Getter of {@link #name} field.
	 * 
	 * @return {@link #name} value.
	 */
	public String getName() {
		return this.name;
	}

	/**
	 * Setter of {@link #name} field.
	 * 
	 * @param name
	 *            The String to set.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Getter of {@link #descriptionKey} field.
	 * 
	 * @return {@link #descriptionKey} value.
	 */
	public String getDescriptionKey() {
		return this.descriptionKey;
	}

	/**
	 * Setter of {@link #descriptionKey} field.
	 * 
	 * @param descriptionKey
	 *            The String to set.
	 */
	public void setDescriptionKey(String descriptionKey) {
		this.descriptionKey = descriptionKey;
	}

	/**
	 * Getter of {@link #machineType} field.
	 * 
	 * @return {@link #machineType} value.
	 */
	public String getMachineType() {
		return this.machineType;
	}

	/**
	 * Setter of {@link #machineType} field.
	 * 
	 * @param machineType
	 *            The String to set.
	 */
	public void setMachineType(String machineType) {
		this.machineType = machineType;
	}

	/**
	 * Getter of {@link #precedence} field.
	 * 
	 * @return {@link #precedence} value.
	 */
	public long getPrecedence() {
		return this.precedence;
	}

	/**
	 * Setter of {@link #precedence} field.
	 * 
	 * @param precedence
	 *            The int to set.
	 */
	public void setPrecedence(long precedence) {
		this.precedence = precedence;
	}

	public List<CustomAttributeDefinitionValue> getCustomAttributeDefinitionValues() {
		return this.customAttributeDefinitionValues;
	}

	public void setCustomAttributeDefinitionValues(
			List<CustomAttributeDefinitionValue> customAtributeDefinitionValues) {
		this.customAttributeDefinitionValues = customAtributeDefinitionValues;
	}
}
