/**
 * StringResourceData.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.multiLanguage;

import java.io.Serializable;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * Class that represents key value attributes with translation keys.
 */
@XStreamAlias("string-resource")
public class StringResourceData implements Serializable {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 2713887528552836207L;

	/** The key. */
	@XStreamAlias("key")
	@XStreamAsAttribute
	String key;

	/** The value. */
	@XStreamAlias("value")
	String value;

	/**
	 * Getter of {@link #key} field.
	 * 
	 * @return {@link #key} value.
	 */
	public String getKey() {
		return this.key;
	}

	/**
	 * Setter of {@link #key} field.
	 * 
	 * @param key
	 *            The String to set.
	 */
	public void setKey(String key) {
		this.key = key;
	}

	/**
	 * Getter of {@link #value} field.
	 * 
	 * @return {@link #value} value.
	 */
	public String getValue() {
		return this.value;
	}

	/**
	 * Setter of {@link #value} field.
	 * 
	 * @param value
	 *            The String to set.
	 */
	public void setValue(String value) {
		this.value = value;
	}

	/**
	 * Returns a hash code of this <code>StringResourceData</code>
	 * 
	 * @return the hash code for the current object instance
	 * @inheritDoc
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = super.hashCode();
		result = prime * result
				+ ((this.key == null) ? 0 : this.key.hashCode());
		return result;
	}

	/**
	 * Compares this <code>StringResourceData</code> to the specified object.
	 * 
	 * @param obj
	 *            the object to be compared with
	 * @return true, if successful
	 * 
	 * @inheritDoc
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (!super.equals(obj)) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		StringResourceData other = (StringResourceData) obj;
		if (this.key == null) {
			if (other.key != null) {
				return false;
			}
		} else if (!this.key.equals(other.key)) {
			return false;
		}
		return true;
	}
}