/**
 * Validations.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.client;

import com.smartmatic.waffle.localpersistence.SAESCommonDestinations;
import com.smartmatic.waffle.localpersistence.SAESLocalPersistenceManager;

/***
 * Class used to perform validations between applications steps.
 * 
 * @version 1.0 (Sep 01, 2010)
 * @author Carlos Ramírez (cramirez@smartmatic.com)
 */
public class Validations {

	/***
	 * Method used to check that all os have been loaded.<br>
	 * Files to check: <li>canvassingStationImage <li>votingDeviceImage <li>
	 * votingDeviceScreenShotImage
	 * 
	 * @return The method returns true when exist all files to check, otherwise
	 *         returns false.
	 * 
	 * @see SAESCommonDestinations
	 */
	public static boolean validateImagesLoaded() {
		SAESCommonDestinations defaultDestinations = SAESLocalPersistenceManager
				.getInstance().getDefaultDestinations();

		if (ECMClientSideConstants.GENERATE_TOTALIZATION_DEVICE) {
			return defaultDestinations.canvassingStationImage.exists()
					&& defaultDestinations.votingDeviceImage.exists()
					&& defaultDestinations.votingDeviceScreenShotImage.exists();
		}
		return defaultDestinations.votingDeviceImage.exists()
				&& defaultDestinations.votingDeviceScreenShotImage.exists();
	}
}
