/**
 * ConnectionException.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.client.exception;

import com.smartmatic.waffle.lang.BaseException;
import com.smartmatic.waffle.lang.IExceptionInfo;

/**
 * Class used to notify an error in network connection.
 */
public class ConnectionException extends BaseException {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 8902089387522846602L;

	/**
	 * The Enum ConnectionExceptionInfo.
	 */
	public enum ConnectionExceptionInfo implements IExceptionInfo {

		/** The conection problem. */
		CONECTION_PROBLEM,
		/** The connection refuse. */
		CONNECTION_REFUSE,
		/** The connection time out. */
		CONNECTION_TIME_OUT;

		/*
		 * (non-Javadoc)
		 * 
		 * @see com.smartmatic.lang.IExceptionInfo#getMessage()
		 */
		@Override
		/***
		 * {@inheritDoc}
		 */
		public String getMessage() {
			return this.toString();
		}

	}

	/***
	 * Class constructor.
	 * 
	 * @param exceptionInfo
	 *            An enumerated value regarding the cause of the exception.
	 */
	public ConnectionException(IExceptionInfo exceptionInfo) {
		super(exceptionInfo);
	}

	/**
	 * Class constructor.
	 * 
	 * @param exceptionInfo
	 *            An enumerated value regarding the cause of the exception.
	 * @param e
	 *            - The original exception.
	 */
	public ConnectionException(IExceptionInfo exceptionInfo, Throwable e) {
		super(exceptionInfo, e);
	}

}
