/**
 * BulkUploadUpdateLoadedNumberOfEachEntityController.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.client.ui;

import com.smartmatic.waffle.ecm.client.ui.common.AwtOperationType;
import com.smartmatic.waffle.ecm.client.ui.common.IAwtOperationListener;
import com.smartmatic.waffle.ecm.client.worker.BulkUploadUpdateLoadedNumberOfEachEntityWorker;
import com.smartmatic.waffle.ecm.ui.util.ECMOptionPane;

/**
 * Controller class that creates and starts the worker thread to update the
 * loaded amount of each entities
 */
public class BulkUploadUpdateLoadedNumberOfEachEntityController implements
		IAwtOperationListener {

	/**
	 * Instantiates a new BulkUploadUpdateLoadedNumberOfEachEntityController
	 * 
	 * @param bulkUploadSmttFilesPanel
	 *            BulkUploadSmttFilesPanel reference
	 */
	public BulkUploadUpdateLoadedNumberOfEachEntityController(
			BulkUploadSmttFilesPanel bulkUploadSmttFilesPanel) {
		this.bulkUploadSmttFilesPanel = bulkUploadSmttFilesPanel;
	}

	/**
	 * Method that starts the worker that does the real backend functionality
	 * work.
	 */
	public void startWorker() {
		this.bulkUploadStatusQueriesWorker = new BulkUploadUpdateLoadedNumberOfEachEntityWorker();

		this.bulkUploadStatusQueriesWorker.addListener(this);

		Thread bulkUploadStatusQueriesWorkerThread = new Thread(
				this.bulkUploadStatusQueriesWorker,
				"bulkUploadStatusQueriesWorkerThread");

		bulkUploadStatusQueriesWorkerThread.start();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.waffle.ecm.client.ui.common.IAwtOperationListener#awtOperation
	 * (com.smartmatic.waffle.ecm.client.ui.common.AwtOperationType)
	 */
	@Override
	public void awtOperation(AwtOperationType awtOperationType) {

		switch (awtOperationType) {
		case UPDATE_COMPONENTS:
			this.bulkUploadSmttFilesPanel.finishUpdateLoadedNumberOfEachEntity(
					this.bulkUploadStatusQueriesWorker
							.getEntityRecordsQuantitiesList(),
					this.bulkUploadStatusQueriesWorker.isSmttDataIsLoaded(),
					this.bulkUploadStatusQueriesWorker.isSomeEntityLoaded());
			break;

		case SHOW_ERROR_MESSAGE:
			this.bulkUploadSmttFilesPanel
					.showMessage(
							"BulkUploadSmttFilesPanel.unexpected.error.updating.loaded.number.of.each.entity",
							ECMOptionPane.ERROR_MESSAGE);
			break;
		}

	}

	/** The BulkUploadUpdateLoadedNumberOfEachEntityWorker reference. */
	private BulkUploadUpdateLoadedNumberOfEachEntityWorker bulkUploadStatusQueriesWorker;

	/** BulkUploadSmttFilesPanel instance. */
	private BulkUploadSmttFilesPanel bulkUploadSmttFilesPanel;
}