package com.smartmatic.waffle.ecm.client.ui;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.JPasswordField;

/**
 * Class used for listener on password field
 */
public class DecryptPanelKeyboardListener implements KeyListener {
	/**
	 * field in which listener will be working
	 */
	JPasswordField passwordField;

	/** The instance of decryptPanel. */
	private DecryptPanel decryptPanel;

	/**
	 * Class contructor.
	 * 
	 * @param passwordField
	 *            - field in which listener will be working.
	 */
	public DecryptPanelKeyboardListener(JPasswordField passwordField,
			DecryptPanel decryptPanel) {
		this.passwordField = passwordField;
		this.decryptPanel = decryptPanel;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.awt.event.KeyListener#keyTyped(java.awt.event.KeyEvent)
	 */
	@Override
	public void keyTyped(KeyEvent e) {
		String currentToProcess = String.valueOf(this.passwordField
				.getPassword());

		if (currentToProcess.length() == 16) {
			this.decryptPanel.fillPasswordFieldFromClipboard(currentToProcess);
		} else if (currentToProcess.length() >= 3 && e.getKeyChar() != '\b'
				&& e.getKeyChar() != '') {
			this.passwordField.setText(currentToProcess.substring(0, 3));
			this.passwordField.transferFocus();
		}
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.awt.event.KeyListener#keyPressed(java.awt.event.KeyEvent)
	 */
	@Override
	public void keyPressed(KeyEvent e) {
		return;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.awt.event.KeyListener#keyReleased(java.awt.event.KeyEvent)
	 */
	@Override
	public void keyReleased(KeyEvent e) {
		return;
	}

}
