/**
 * PassphraseUserUpdateTask.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2018 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.client.ui.login;

public class PassphraseUserException extends Exception {

	/**
	 * type of Passphrase error.
	 *
	 */
	public enum ErrorType {
		USER, PASSWORD, PROFILE, GENERAL
	}

	private ErrorType errorType = PassphraseUserException.ErrorType.GENERAL;

	private static final long serialVersionUID = 7383741076888582577L;

	public PassphraseUserException(String message,
			PassphraseUserException.ErrorType errorType, Throwable cause) {
		super(message, cause);
		this.errorType = errorType;
	}

	public PassphraseUserException(String message,
			PassphraseUserException.ErrorType errorType) {
		super(message);
		this.errorType = errorType;
	}

	public PassphraseUserException(String message, Throwable cause) {
		super(message, cause);
	}

	public ErrorType getErrorType() {
		return this.errorType;
	}

}
