/**
 * TestSuite.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.client.test.suite;

import org.junit.runner.JUnitCore;
import org.junit.runner.RunWith;
import org.junit.runners.Suite;

import com.smartmatic.waffle.ecm.client.util.MasterFileGenerationUtilsTest;
import com.smartmatic.waffle.ecm.client.worker.BulkUploadClearDatabaseWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.BulkUploadDownloadTranslationsTemplateWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.BulkUploadEMLFilesWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.BulkUploadSmttFilesWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.BulkUploadUpdateLoadedNumberOfEachEntityWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.ConnectedDriveFinderWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.CopyOSWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.DecryptWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.EligibleOptionAdvancedSearchWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.FileIntegrityVerificationWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.HashGetterWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.ImagesUploadValidatorWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.ImagesUploadWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.IntegrityValidationExecutorWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.MasterUSBFileGenerationWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.MasterUSBPrepareContestsWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.ScreenshotsFileGenerationWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.ScreenshotsPrepareContestsWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.ScreenshotsProcessingWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.SearchCandidateWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.SearchPartyWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.SecurityComponentsExportWorkerTest;
import com.smartmatic.waffle.ecm.client.worker.SecurityComponentsGenerationWorkerTest;

/**
 * The class <code>TestSuite</code> builds a suite that can be used to run all
 * of the tests within its package as well as within any sub packages of its
 * package.
 */
@RunWith(Suite.class)
@Suite.SuiteClasses({ HashGetterWorkerTest.class, ImagesUploadWorkerTest.class,
		ImagesUploadValidatorWorkerTest.class,
		SecurityComponentsGenerationWorkerTest.class,
		IntegrityValidationExecutorWorkerTest.class,
		BulkUploadSmttFilesWorkerTest.class,
		BulkUploadEMLFilesWorkerTest.class,
		BulkUploadClearDatabaseWorkerTest.class,
		BulkUploadDownloadTranslationsTemplateWorkerTest.class,
		BulkUploadUpdateLoadedNumberOfEachEntityWorkerTest.class,
		DecryptWorkerTest.class, CopyOSWorkerTest.class,
		SearchCandidateWorkerTest.class, SearchPartyWorkerTest.class,
		EligibleOptionAdvancedSearchWorkerTest.class,
		ConnectedDriveFinderWorkerTest.class,
		MasterUSBPrepareContestsWorkerTest.class,
		ScreenshotsPrepareContestsWorkerTest.class,
		MasterFileGenerationUtilsTest.class,
		MasterUSBFileGenerationWorkerTest.class,
		FileIntegrityVerificationWorkerTest.class,
		ScreenshotsFileGenerationWorkerTest.class,
		ScreenshotsProcessingWorkerTest.class,
		SecurityComponentsExportWorkerTest.class })
public class TestSuite {

	/**
	 * Launch the test.
	 * 
	 * @param args
	 *            the command line arguments
	 */
	public static void main(String[] args) {
		JUnitCore.runClasses(new Class[] { TestSuite.class });
	}

}
