/**
 * IntegrityValidationExecutorWorkerTest.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.client.worker;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

import com.smartmatic.waffle.ecm.client.ECMServiceProvider;
import com.smartmatic.waffle.ecm.client.lang.ConnectionException;
import com.smartmatic.waffle.ecm.data.transfer.objects.QueryResultDTO;
import com.smartmatic.waffle.ecm.service.lang.UtilitiesException;

/**
 * The test class for IntegrityValidationExecutorWorker.
 */
@RunWith(PowerMockRunner.class)
@PrepareForTest({ ECMServiceProvider.class,
		IntegrityValidationExecutorWorker.class })
public class IntegrityValidationExecutorWorkerTest {

	/**
	 * Test if the query is executed by perform operation.
	 */
	@Test
	public void testPerformOperation() throws UtilitiesException,
			ConnectionException {
		IntegrityValidationExecutorWorker integrityValidatorWorker = new IntegrityValidationExecutorWorker();
		String sqlQuery = "select region_name as 'Région',min(nis_code) as 'NIS Code',array_agg(language_rfc) as 'Langue' from (select r.region_name, r.nis_code, el.language_rfc from region r inner join region_election_language rel on r.region_code = rel.region_code inner join election_language el on el.election_language_code = rel.election_language_code order by region_name, el.precedence asc) as source group by region_name order by 'NIS Code' ";

		PowerMockito.mockStatic(ECMServiceProvider.class);

		PowerMockito.when(ECMServiceProvider.executeQuery(sqlQuery))
				.thenReturn(new QueryResultDTO());

		integrityValidatorWorker.setSqlQuery(sqlQuery);

		integrityValidatorWorker.performOperation();

		PowerMockito.verifyStatic();
		ECMServiceProvider.executeQuery(sqlQuery);
	}
}
