package com.smartmatic.waffle.ecm.client.worker;

import static org.junit.Assert.assertEquals;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Mockito;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

@RunWith(PowerMockRunner.class)
@PrepareForTest({ SecurityComponentsGenerationWorker.class })
public class SecurityComponentsGenerationWorkerTest {

	/** PKCS12 in bytes to generate the signature. */
	byte[] PKCS12Bytes;

	/** The certificate password. */
	String caPassword;

	/** The certificate alias. */
	String caAlias;

	@Test
	public void testSetKeys() throws Exception {

		SecurityComponentsGenerationWorker securityGenerationMock = PowerMockito
				.spy(new SecurityComponentsGenerationWorker());

		PowerMockito.doReturn(100).when(securityGenerationMock,
				"getVotingDevicesAmount");

		PowerMockito.doReturn(100).when(securityGenerationMock,
				"getProgrammingUnitsAmount");

		PowerMockito.doReturn(100).when(securityGenerationMock,
				"getElectoralAuthoritiesAmount");

		PowerMockito.doNothing().when(securityGenerationMock,
				"setProtectionKeyToProgrammingUnit", Mockito.anyInt(),
				Mockito.anyInt());

		PowerMockito.doNothing().when(securityGenerationMock,
				"setSecurityComponentsToVotingDevices", Mockito.anyInt(),
				Mockito.anyInt());

		PowerMockito.doNothing().when(securityGenerationMock,
				"setSecurityComponentsToElectoralAuthorities",
				Mockito.anyInt(), Mockito.anyInt());

		securityGenerationMock.setSecurityComponents(true, true);

		// Number of processed pages 1 for programming unit + 1 voting devices +
		// 1 electoral authorities.
		assertEquals(3, securityGenerationMock.getProgressBarValue());

	}
}
