/**
 * IECMExceptionInfo.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.core.lang;

/**
 * <p>
 * This <code>class</code> provides an interface for enumerations used for
 * specifying cause of exceptions.
 * </p>
 */
public interface IECMExceptionInfo {

	/**
	 * <p>
	 * Enumerators implementing this interface will be required to implement
	 * this method to provide an understandable message containing information
	 * regarding the cause of the <code>Exception</code> to which the
	 * <code>IECMExceptionInfo</code> is related.
	 * </p>
	 * 
	 * @return Exception message
	 */
	public String getExceptionMessage();

	/**
	 * <p>
	 * Enumerators implementing this interface will be required to implement
	 * this method to provide a resource bundle's key that should resolve to an
	 * event message containing information regarding the cause of the
	 * <code>Exception</code> to which the <code>IECMExceptionInfo</code> is
	 * related.
	 * </p>
	 * 
	 * @return Resource bundle's key.
	 */
	public String getBundleKey();
}
