/**
 * SortedContestGroupByOriginalCustomCode.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.comparators;

import java.util.Comparator;

import com.smartmatic.waffle.domain.contest.ContestGroupData;

/**
 * Comparator used to sort contest groups by custom code.
 */
public class ContestGroupByOriginalCustomCodeComparator implements
        Comparator<ContestGroupData> {

    /*
     * (non-Javadoc)
     * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
     */
    @Override
    public int compare(ContestGroupData o1, ContestGroupData o2) {
        int number1;
        int number2;
        try {
            number1 = Integer.parseInt(o1.getOriginalCustomCode());
            number2 = Integer.parseInt(o2.getOriginalCustomCode());
            return number1 - number2;
        } catch (NumberFormatException e) {
            return o1.getOriginalCustomCode().compareTo(
                    o2.getOriginalCustomCode());
        }
    }
}
