/**
 * LanguageByLanguageRFCComparator.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */

package com.smartmatic.waffle.ecm.data.transfer.comparators;

import java.util.Comparator;

import com.smartmatic.waffle.domain.i18n.LanguageData;

/**
 * Comparator used to sort languages by language RFC code.
 */
public class LanguageByLanguageRFCComparator implements
        Comparator<LanguageData> {

    /*
     * (non-Javadoc)
     * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
     */
    @Override
    public int compare(LanguageData language1, LanguageData language2) {
        if (language2 == null) {
            throw new IllegalArgumentException(
                    "The param language2 can not be null");
        }

        if (language1 == null) {
            throw new IllegalArgumentException(
                    "The param language1 can not be null");
        } else if (language1.getLanguageRFC() == null) {
            throw new IllegalArgumentException(
                    "The property LanguageRFC of the param language1 can not be null");
        }

        return language1.getLanguageRFC().compareTo(language2.getLanguageRFC());
    }
}
