/**
 * SortedLogicalVotingGroup.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.comparators;

import java.io.Serializable;
import java.util.Comparator;

import com.smartmatic.waffle.domain.device.LogicalVotingGroupData;

/**
 * Comparator used to sort logical voting groups by contest custom code.
 */
public class LogicalVotingGroupComparator implements
        Comparator<LogicalVotingGroupData>, Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = -473031895239133723L;

    /*
     * (non-Javadoc)
     * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
     */
    @Override
    public int compare(LogicalVotingGroupData o1, LogicalVotingGroupData o2) {

        return (int) (o1.getContestGroupCode() - o2.getContestGroupCode());
    }

}
