/**
 * SortedImageFile.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.comparators;

import java.util.Comparator;

import org.apache.commons.lang.StringUtils;

import com.smartmatic.waffle.ecm.data.transfer.objects.ImageFileDTO;

/**
 * Comparator used to sort images file name alphabetically.
 */
public class ScreenShotImageFileComparator implements Comparator<ImageFileDTO> {

    /*
     * (non-Javadoc)
     * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
     */
    @Override
    public int compare(ImageFileDTO o1, ImageFileDTO o2) {

        if (StringUtils.contains(o1.getFileName(), "ZZ")
                && StringUtils.contains(o2.getFileName(), "ZZ")) {

            if (StringUtils.contains(o1.getFileName(), "-We")
                    && StringUtils.contains(o2.getFileName(), "-We")) {
                return 0;
            }
            if (StringUtils.contains(o1.getFileName(), "-We")
                    && StringUtils.contains(o2.getFileName(), "-FV")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-We")
                    && StringUtils.contains(o2.getFileName(), "-LS")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-We")
                    && StringUtils.contains(o2.getFileName(), "-P")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-We")
                    && StringUtils.contains(o2.getFileName(), "-CRI")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-We")
                    && StringUtils.contains(o2.getFileName(), "-FV")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-We")
                    && StringUtils.contains(o2.getFileName(), "-CR")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-LS")
                    && StringUtils.contains(o2.getFileName(), "-We")) {
                return 1;
            }
            if (StringUtils.contains(o1.getFileName(), "-LS")
                    && StringUtils.contains(o2.getFileName(), "-LS")) {
                return 0;
            }
            if (StringUtils.contains(o1.getFileName(), "-LS")
                    && StringUtils.contains(o2.getFileName(), "-P")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-LS")
                    && StringUtils.contains(o2.getFileName(), "-CRI")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-LS")
                    && StringUtils.contains(o2.getFileName(), "-FV")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-LS")
                    && StringUtils.contains(o2.getFileName(), "-CR")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-P")
                    && StringUtils.contains(o2.getFileName(), "-We")) {
                return 1;
            }
            if (StringUtils.contains(o1.getFileName(), "-P")
                    && StringUtils.contains(o2.getFileName(), "-LS")) {
                return 1;
            }
            if (StringUtils.contains(o1.getFileName(), "-P")
                    && StringUtils.contains(o2.getFileName(), "-P")) {
                return 0;
            }
            if (StringUtils.contains(o1.getFileName(), "-P")
                    && StringUtils.contains(o2.getFileName(), "-CRI")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-P")
                    && StringUtils.contains(o2.getFileName(), "-FV")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-P")
                    && StringUtils.contains(o2.getFileName(), "-CR")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-CRI")
                    && StringUtils.contains(o2.getFileName(), "-We")) {
                return 1;
            }
            if (StringUtils.contains(o1.getFileName(), "-CRI")
                    && StringUtils.contains(o2.getFileName(), "-LS")) {
                return 1;
            }
            if (StringUtils.contains(o1.getFileName(), "-CRI")
                    && StringUtils.contains(o2.getFileName(), "-P")) {
                return 1;
            }
            if (StringUtils.contains(o1.getFileName(), "-CRI")
                    && StringUtils.contains(o2.getFileName(), "-CRI")) {
                return 0;
            }
            if (StringUtils.contains(o1.getFileName(), "-CRI")
                    && StringUtils.contains(o2.getFileName(), "-FV")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-CRI")
                    && StringUtils.contains(o2.getFileName(), "-CR")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-FV")
                    && StringUtils.contains(o2.getFileName(), "-We")) {
                return 1;
            }
            if (StringUtils.contains(o1.getFileName(), "-FV")
                    && StringUtils.contains(o2.getFileName(), "-LS")) {
                return 1;
            }
            if (StringUtils.contains(o1.getFileName(), "-FV")
                    && StringUtils.contains(o2.getFileName(), "-P")) {
                return 1;
            }
            if (StringUtils.contains(o1.getFileName(), "-FV")
                    && StringUtils.contains(o2.getFileName(), "-CRI")) {
                return 1;
            }
            if (StringUtils.contains(o1.getFileName(), "-FV")
                    && StringUtils.contains(o2.getFileName(), "-FV")) {
                return 0;
            }
            if (StringUtils.contains(o1.getFileName(), "-FV")
                    && StringUtils.contains(o2.getFileName(), "-CR")) {
                return -1;
            }
            if (StringUtils.contains(o1.getFileName(), "-CR")
                    && StringUtils.contains(o2.getFileName(), "-We")) {
                return 1;
            }
            if (StringUtils.contains(o1.getFileName(), "-CR")
                    && StringUtils.contains(o2.getFileName(), "-LS")) {
                return 1;
            }
            if (StringUtils.contains(o1.getFileName(), "-CR")
                    && StringUtils.contains(o2.getFileName(), "-P")) {
                return 1;
            }
            if (StringUtils.contains(o1.getFileName(), "-CR")
                    && StringUtils.contains(o2.getFileName(), "-CRI")) {
                return 1;
            }
            if (StringUtils.contains(o1.getFileName(), "-CR")
                    && StringUtils.contains(o2.getFileName(), "-FV")) {
                return 1;
            }
            if (StringUtils.contains(o1.getFileName(), "-CR")
                    && StringUtils.contains(o2.getFileName(), "-CR")) {
                return 0;
            }
        }

        return o1.getFileName().compareTo(o2.getFileName());
    }

}
