/**
 * ActiveContestForElectionDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.io.Serializable;
import java.util.List;
import java.util.Map;
import java.util.Set;

import com.smartmatic.waffle.domain.contest.ContestData;
import com.smartmatic.waffle.domain.contest.ContestGroupData;
import com.smartmatic.waffle.domain.i18n.LanguageData;

/**
 * Class used to transfer information needed by any layer about the active
 * contest available for each Master USB Generation.
 */
public class ActiveContestForElectionDTO implements Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = -1449274585965409688L;

    /** The region language map. */
    private Map<Long, Set<LanguageData>> regionLanguageMap;

    /** The contest list. */
    private List<ContestData> contestList;

    /** The region contest group. */
    private Map<Long, List<ContestGroupData>> regionContestGroup;

    /** The election languages. */
    Set<LanguageData> electionLanguages;

    /**
     * Getter of <code>electionLanguages</code> property.
     * 
     * @return <code>electionLanguages</code> property value.
     * @see #electionLanguages
     */

    public Set<LanguageData> getElectionLanguages() {
        return this.electionLanguages;
    }

    /**
     * Setter of <code>electionLanguages</code> property.
     * 
     * @param electionLanguages
     *            The <code>electionLanguages</code> to set.
     * @see #electionLanguages
     */
    public void setElectionLanguages(Set<LanguageData> electionLanguages) {
        this.electionLanguages = electionLanguages;
    }

    /** The resources languages. */
    Map<String, Map<String, String>> resourcesLanguages;

    /**
     * Getter of <code>resourcesLanguages</code> property.
     * 
     * @return <code>resourcesLanguages</code> property value.
     * @see #resourcesLanguages
     */

    public Map<String, Map<String, String>> getResourcesLanguages() {
        return this.resourcesLanguages;
    }

    /**
     * Setter of <code>resourcesLanguages</code> property.
     * 
     * @param resourcesLanguages
     *            The <code>resourcesLanguages</code> to set.
     * @see #resourcesLanguages
     */
    public void setResourcesLanguages(
            Map<String, Map<String, String>> resourcesLanguages) {
        this.resourcesLanguages = resourcesLanguages;
    }

    /**
     * Getter of <code>regionContestGroup</code> property.
     * 
     * @return <code>regionContestGroup</code> property value.
     * @see #regionContestGroup
     */

    public Map<Long, List<ContestGroupData>> getRegionContestGroup() {
        return this.regionContestGroup;
    }

    /**
     * Setter of <code>regionContestGroup</code> property.
     * 
     * @param regionContestGroup
     *            The <code>regionContestGroup</code> to set.
     * @see #regionContestGroup
     */
    public void setRegionContestGroup(
            Map<Long, List<ContestGroupData>> regionContestGroup) {
        this.regionContestGroup = regionContestGroup;
    }

    /**
     * Getter of <code>regionLanguageMap</code> property.
     * 
     * @return <code>regionLanguageMap</code> property value.
     * @see #regionLanguageMap
     */

    public Map<Long, Set<LanguageData>> getRegionLanguageMap() {
        return this.regionLanguageMap;
    }

    /**
     * Setter of <code>regionLanguageMap</code> property.
     * 
     * @param regionLanguageMap
     *            The <code>regionLanguageMap</code> to set.
     * @see #regionLanguageMap
     */
    public void setRegionLanguageMap(
            Map<Long, Set<LanguageData>> regionLanguageMap) {
        this.regionLanguageMap = regionLanguageMap;
    }

    /**
     * Getter of <code>contestList</code> property.
     * 
     * @return <code>contestList</code> property value.
     * @see #contestList
     */

    public List<ContestData> getContestList() {
        return this.contestList;
    }

    /**
     * Setter of <code>contestList</code> property.
     * 
     * @param contestList
     *            The <code>contestList</code> to set.
     * @see #contestList
     */
    public void setContestList(List<ContestData> contestList) {
        this.contestList = contestList;
    }
}
