/**
 * BrowserHierarchyDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.io.Serializable;
import java.util.Set;

import com.smartmatic.waffle.ecm.data.transfer.type.BrowserHierarchyStatusType;

/**
 * Class used to group relevant information about each item of region or contest
 * hierarchy.
 */
public class BrowserHierarchyDTO implements Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 790177099466953291L;

    /***
     * Text to show on widget.
     */
    private String textToShow;

    /***
     * Record id.
     */
    private Object id;

    /***
     * The child of elements.
     */
    private Set<BrowserHierarchyDTO> childElements;

    /***
     * the parent element.
     */
    private BrowserHierarchyDTO parentElement;

    /** *. */
    private BrowserHierarchyStatusType currentStatus;

    /**
     * Gets the * Text to show on widget.
     * 
     * @return the textToShow
     */
    public String getTextToShow() {
        return this.textToShow;
    }

    /**
     * Sets the * Text to show on widget.
     * 
     * @param textToShow
     *            the textToShow to set
     */
    public void setTextToShow(String textToShow) {
        this.textToShow = textToShow;
    }

    /**
     * Gets the * Record id.
     * 
     * @return the id
     */
    public Object getId() {
        return this.id;
    }

    /**
     * Sets the * Record id.
     * 
     * @param id
     *            the id to set
     */
    public void setId(Object id) {
        this.id = id;
    }

    /**
     * Gets the * The child of elements.
     * 
     * @return the childElements
     */
    public Set<BrowserHierarchyDTO> getChildElements() {
        return this.childElements;
    }

    /**
     * Sets the * The child of elements.
     * 
     * @param childElements
     *            the childElements to set
     */
    public void setChildElements(Set<BrowserHierarchyDTO> childElements) {
        this.childElements = childElements;
    }

    /**
     * Gets the * the parent element.
     * 
     * @return the parentElement
     */
    public BrowserHierarchyDTO getParentElement() {
        return this.parentElement;
    }

    /**
     * Sets the * the parent element.
     * 
     * @param parentElement
     *            the parentElement to set
     */
    public void setParentElement(BrowserHierarchyDTO parentElement) {
        this.parentElement = parentElement;
    }

    /**
     * Gets the *.
     * 
     * @return the currentStatus
     */
    public BrowserHierarchyStatusType getCurrentStatus() {
        return this.currentStatus;
    }

    /**
     * Sets the *.
     * 
     * @param currentStatus
     *            the currentStatus to set
     */
    public void setCurrentStatus(BrowserHierarchyStatusType currentStatus) {
        this.currentStatus = currentStatus;
    }

}
