/**
 * ContestClassTraductionsDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import com.smartmatic.waffle.domain.contest.ContestClassData;

/**
 * Class that holds translation keys and values for Contest Classes.
 */
public class ContestClassTranslationsDTO implements Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The list contest class. */
    private List<ContestClassData> contestClassList;

    /** The translations. */
    private Map<String, ContestClassData> translations;

    /**
     * Getter of {@link #listContestClass} property.
     * 
     * @return the listContestClass property value
     */
    public List<ContestClassData> getListContestClass() {
        return this.contestClassList;
    }

    /**
     * Setter of {@link #listContestClass} property.
     * 
     * @param listContestClass
     *            property value
     */
    public void setListContestClass(List<ContestClassData> listContestClass) {
        this.contestClassList = listContestClass;
    }

    /**
     * Getter of {@link #translations} property.
     * 
     * @return the translations property value
     */
    public Map<String, ContestClassData> getTranslations() {
        return this.translations;
    }

    /**
     * Setter of {@link #translations} property.
     * 
     * @param translations
     *            property value
     */
    public void setTranslations(Map<String, ContestClassData> translations) {
        this.translations = translations;
    }

}
