/**
 * ContestLanguagesDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.util.List;

import com.smartmatic.waffle.domain.contest.ContestData;
import com.smartmatic.waffle.domain.i18n.LanguageData;

/**
 * Class that holds languages by contest for voting experiences PDF's footers
 * and headers.
 */
public class ContestLanguagesDTO {

    /** The contest data. */
    private ContestData contestData;

    /** The language header list. */
    private List<LanguageData> languageHeaderList;

    /** The language footer list. */
    private List<LanguageData> languageFooterList;

    /**
     * Getter of {@link #contestData} property.
     * 
     * @return the districtData property value
     */
    public ContestData getContestData() {
        return this.contestData;
    }

    /**
     * Setter of {@link #contestData} property.
     * 
     * @param contestData
     *            the new contest data
     */
    public void setContestData(ContestData contestData) {
        this.contestData = contestData;
    }

    /**
     * Getter of <code>languageHeaderList</code> property.
     * 
     * @return <code>languageHeaderList</code> property value.
     */

    public List<LanguageData> getLanguageHeaderList() {
        return this.languageHeaderList;
    }

    /**
     * Setter of <code>languageHeaderList</code> property.
     * 
     * @param languageHeaderList
     *            The <code>languageHeaderList</code> to set.
     */
    public void setLanguageHeaderList(List<LanguageData> languageHeaderList) {
        this.languageHeaderList = languageHeaderList;
    }

    /**
     * Getter of <code>languageFooterList</code> property.
     * 
     * @return <code>languageFooterList</code> property value.
     */

    public List<LanguageData> getLanguageFooterList() {
        return this.languageFooterList;
    }

    /**
     * Setter of <code>languageFooterList</code> property.
     * 
     * @param languageFooterList
     *            the new language footer list
     */
    public void setLanguageFooterList(List<LanguageData> languageFooterList) {
        this.languageFooterList = languageFooterList;
    }
}
