/**
 * ElectionKeyStoreComponentsDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.io.Serializable;
import java.security.KeyStore;
import java.security.PrivateKey;
import java.security.cert.X509Certificate;

/**
 * Class to transfer the election key store components.
 */
public class ElectionKeyStoreComponentsDTO implements Serializable {

    /**
     * Holds the version of the class. It is used by the serialization engine to
     * determine when a class its equivalent to another
     */
    private static final long serialVersionUID = 4135661866082102379L;

    /** Election key store object. */
    private KeyStore electionKeyStore;

    /** Election private key. */
    private PrivateKey electionPrivateKey;

    /** Election x509 certificate. */
    private X509Certificate electionX509certificate;

    /** The key store alias. */
    private String alias;

    /** The key store passphrase. */
    private char[] passphrase;

    /**
     * Gets the election key store.
     * 
     * @return the election key store
     */
    public KeyStore getElectionKeyStore() {
        return electionKeyStore;
    }

    /**
     * Sets the election key store.
     * 
     * @param electionKeyStore
     *            the new election key store
     */
    public void setElectionKeyStore(KeyStore electionKeyStore) {
        this.electionKeyStore = electionKeyStore;
    }

    /**
     * Gets the election private key.
     * 
     * @return the election private key
     */
    public PrivateKey getElectionPrivateKey() {
        return electionPrivateKey;
    }

    /**
     * Sets the election private key.
     * 
     * @param electionPrivateKey
     *            the new election private key
     */
    public void setElectionPrivateKey(PrivateKey electionPrivateKey) {
        this.electionPrivateKey = electionPrivateKey;
    }

    /**
     * Gets the election x509certificate.
     * 
     * @return the election x509certificate
     */
    public X509Certificate getElectionX509certificate() {
        return electionX509certificate;
    }

    /**
     * Sets the election x509certificate.
     * 
     * @param electionX509certificate
     *            the new election x509certificate
     */
    public void setElectionX509certificate(
            X509Certificate electionX509certificate) {
        this.electionX509certificate = electionX509certificate;
    }

    /**
     * Gets the alias.
     * 
     * @return the alias
     */
    public String getAlias() {
        return alias;
    }

    /**
     * Sets the alias.
     * 
     * @param alias
     *            the new alias
     */
    public void setAlias(String alias) {
        this.alias = alias;
    }

    /**
     * Gets the passphrase.
     * 
     * @return the passphrase
     */
    public char[] getPassphrase() {
        return passphrase;
    }

    /**
     * Sets the passphrase.
     * 
     * @param passphrase
     *            the new passphrase
     */
    public void setPassphrase(char[] passphrase) {
        this.passphrase = passphrase;
    }
}
