/**
 * SmttFileToUploadDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import com.smartmatic.waffle.ecm.data.transfer.type.EMLFileType;
import com.smartmatic.waffle.ecm.data.transfer.type.SmttFileType;

/**
 * Class to hold information about the files to be uploaded.
 */
public class FileToUploadDTO {

    /** Smartmatic file type. */
    private SmttFileType smttFileType;

    /** File type. */
    private EMLFileType emlFileType;

    /** Object to hold the information of the file to upload. */
    private FileToUploadDetailDTO fileToUploadDetailDTO;

    /**
     * Gets the smartmatic file type.
     * 
     * @return the smartmatic file type
     */
    public SmttFileType getSmttFileType() {
        return this.smttFileType;
    }

    /**
     * Sets the smartmatic file type.
     * 
     * @param smttFileType
     *            the new smartmatic file type
     */
    public void setSmttFileType(SmttFileType smttFileType) {
        this.smttFileType = smttFileType;
    }

    /**
     * Gets the EML file type.
     * 
     * @return the EML file type
     */
    public EMLFileType getEMLFileType() {
        return emlFileType;
    }

    /**
     * Sets the EML file type.
     * 
     * @param emlFileType
     *            the new EML file type
     */
    public void setEMLFileType(EMLFileType emlFileType) {
        this.emlFileType = emlFileType;
    }

    /**
     * Gets the file to upload detail dto.
     * 
     * @return the file to upload detail dto
     */
    public FileToUploadDetailDTO getFileToUploadDetailDTO() {
        return fileToUploadDetailDTO;
    }

    /**
     * Sets the file to upload detail dto.
     * 
     * @param fileToUploadDetailDTO
     *            the new file to upload detail dto
     */
    public void setFileToUploadDetailDTO(
            FileToUploadDetailDTO fileToUploadDetailDTO) {
        this.fileToUploadDetailDTO = fileToUploadDetailDTO;
    }
}
