/**
 * ProgrammingUnitLastLevelRegionDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.io.Serializable;
import java.util.List;

import com.smartmatic.waffle.domain.demographics.ProgrammingUnitData;
import com.smartmatic.waffle.domain.demographics.RegionData;

/**
 * Class that holds information about the programming unit corresponding to a last
 * level region.
 */
public class ProgrammingUnitLastLevelRegionDTO implements Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = -1066355887134069975L;

    /** The programming unit. */
    private ProgrammingUnitData programmingUnit;

    /** The last level region for programming unit. */
    private List<RegionData> lastLevelRegionForProgrammingUnit;

    /**
     * Getter of <code>programmingUnit</code> property.
     * 
     * @return <code>programmingUnit</code> property value.
     * @see #programmingUnit
     */

    public ProgrammingUnitData getProgrammingUnit() {
        return this.programmingUnit;
    }

    /**
     * Setter of <code>programmingUnit</code> property.
     * 
     * @param programmingUnit
     *            The <code>programmingUnit</code> to set.
     * @see #programmingUnit
     */
    public void setProgrammingUnit(ProgrammingUnitData programmingUnit) {
        this.programmingUnit = programmingUnit;
    }

    /**
     * Getter of <code>lastLevelRegionForProgrammingUnit</code> property.
     * 
     * @return <code>lastLevelRegionForProgrammingUnit</code> property value.
     * @see #lastLevelRegionForProgrammingUnit
     */

    public List<RegionData> getLastLevelRegionForProgrammingUnit() {
        return this.lastLevelRegionForProgrammingUnit;
    }

    /**
     * Setter of <code>lastLevelRegionForProgrammingUnit</code> property.
     * 
     * @param lastLevelRegionForProgrammingUnit
     *            The <code>lastLevelRegionForProgrammingUnit</code> to set.
     * @see #lastLevelRegionForProgrammingUnit
     */
    public void setLastLevelRegionForProgrammingUnit(
            List<RegionData> lastLevelRegionForProgrammingUnit) {
        this.lastLevelRegionForProgrammingUnit = lastLevelRegionForProgrammingUnit;
    }
}
