/**
 * ResultUploadDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.io.Serializable;
import java.util.List;

/**
 * Class that holds the result of file upload generation.
 */
public class ResultUploadDTO implements Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = -1787475046714493741L;

    /** The name file. */
    private String nameFile;

    /** The list sub file. */
    private List<SubResultDTO> listSubFile;

    /**
     * Getter of <code>listSubFile</code> property.
     * 
     * @return <code>listSubFile</code> property value.
     * @see #SubResultDTO
     */
    public List<SubResultDTO> getListSubFile() {
        return this.listSubFile;
    }

    /**
     * Setter of <code>listSubFile</code> property.
     * 
     * @param listSubFile
     *            The <code>listSubFile</code> to set.
     * @see #SubResultDTO
     */
    public void setListSubFile(List<SubResultDTO> listSubFile) {
        this.listSubFile = listSubFile;
    }

    /**
     * Getter of <code>nameFile</code> property.
     * 
     * @return <code>nameFile</code> property value.
     */
    public String getNameFile() {
        return this.nameFile;
    }

    /**
     * Setter of <code>nameFile</code> property.
     * 
     * @param nameFile
     *            The <code>nameFile</code> to set.
     */
    public void setNameFile(String nameFile) {
        this.nameFile = nameFile;
    }

}
