/**
 * SubResultDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.io.Serializable;

import com.smartmatic.waffle.ecm.data.transfer.type.EMLFileType;
import com.smartmatic.waffle.ecm.data.transfer.type.SmttFileType;

/**
 * Class that holds a second level result of file upload generation.
 */
public class SubResultDTO implements Serializable {

    /**
     * Serial version
     */
    private static final long serialVersionUID = -6722447352901311384L;

    private SmttFileType fileType;
    private BulkResultDTO resultInfo;
    private EMLFileType emlFileType;

    /**
     * Getter of <code>emlFileType</code> property.
     * 
     * @return <code>emlFileType</code> property value.
     * @see #emlFileType
     */
    public EMLFileType getEMLFileType() {
        return this.emlFileType;
    }

    /**
     * Setter of <code>emlFileType</code> property.
     * 
     * @param emlFileType
     *            The <code>emlFileType</code> to set.
     * @see #emlFileType
     */
    public void setEMLFileType(EMLFileType emlFileType) {
        this.emlFileType = emlFileType;
    }

    /**
     * Getter of <code>fileType</code> property.
     * 
     * @return <code>fileType</code> property value.
     */
    public SmttFileType getFileType() {
        return this.fileType;
    }

    /**
     * Setter of <code>fileType</code> property.
     * 
     * @param fileType
     *            The <code>fileType</code> to set.
     */
    public void setFileType(SmttFileType fileType) {
        this.fileType = fileType;
    }

    /**
     * Getter of <code>resultInfo</code> property.
     * 
     * @return <code>resultInfo</code> property value.
     * @see #BulkResultInfo
     */
    public BulkResultDTO getResultInfo() {
        return this.resultInfo;
    }

    /**
     * Setter of <code>resultInfo</code> property.
     * 
     * @param resultInfo
     *            The <code>resultInfo</code> to set.
     * @see #BulkResultInfo
     */
    public void setResultInfo(BulkResultDTO resultInfo) {
        this.resultInfo = resultInfo;
    }

}
