/**
 * FileUploadedDetailDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import com.smartmatic.waffle.ecm.data.transfer.type.EMLFileType;
import com.smartmatic.waffle.ecm.data.transfer.type.SmttFileType;

/**
 * Class to hold the result of the bulk loading process.
 */
public class UploadedFileDetailDTO {

    /** Object used to store and notify the result of a bulk loading process. */
    private BulkResultDTO bulkResultDTO;

    /** The file to upload name. */
    private String fileName;

    /** The smartmatic file type. */
    private SmttFileType smttFileType;

    /** The EML file type. */
    private EMLFileType emlFileType;

    /**
     * Gets the bulk result dto.
     * 
     * @return the bulk result dto
     */
    public BulkResultDTO getBulkResultDTO() {
        return bulkResultDTO;
    }

    /**
     * Sets the bulk result dto.
     * 
     * @param bulkResultDTO
     *            the new bulk result dto
     */
    public void setBulkResultDTO(BulkResultDTO bulkResultDTO) {
        this.bulkResultDTO = bulkResultDTO;
    }

    /**
     * Gets the file name.
     * 
     * @return the file name
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * Sets the file name.
     * 
     * @param fileName
     *            the new file name
     */
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    /**
     * Gets the smtt file type.
     * 
     * @return the smtt file type
     */
    public SmttFileType getSmttFileType() {
        return smttFileType;
    }

    /**
     * Sets the smtt file type.
     * 
     * @param smttFileType
     *            the new smtt file type
     */
    public void setSmttFileType(SmttFileType smttFileType) {
        this.smttFileType = smttFileType;
    }

    /**
     * Gets the EML file type.
     * 
     * @return the EML file type
     */
    public EMLFileType getEMLFileType() {
        return emlFileType;
    }

    /**
     * Sets the EML file type.
     * 
     * @param emlFileType
     *            the new EML file type
     */
    public void setEMLFileType(EMLFileType emlFileType) {
        this.emlFileType = emlFileType;
    }
}
