/**
 * VotingDeviceDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.io.Serializable;
import java.util.Map;

import com.smartmatic.waffle.domain.device.VotingDevicesData;

/**
 * Class that holds all resources languages collected in voting device
 * generation.
 */
public class VotingDeviceDTO implements Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The resources languages. */
    private Map<String, Map<String, String>> resourcesLanguages;

    /** The voting devices data. */
    private VotingDevicesData votingDevicesData;

    /**
     * Getter of {@link #resourcesLanguages} field.
     * 
     * @return {@link #resourcesLanguages} value.
     */
    public Map<String, Map<String, String>> getResourcesLanguages() {
        return this.resourcesLanguages;
    }

    /**
     * Setter of {@link #resourcesLanguages} field.
     * 
     * @param resourcesLanguages
     *            The Map<String,Map<String,String>> to set.
     */
    public void setResourcesLanguages(
            Map<String, Map<String, String>> resourcesLanguages) {
        this.resourcesLanguages = resourcesLanguages;
    }

    /**
     * Getter of {@link #votingDevicesData} field.
     * 
     * @return {@link #votingDevicesData} value.
     */
    public VotingDevicesData getVotingDevicesData() {
        return this.votingDevicesData;
    }

    /**
     * Setter of {@link #votingDevicesData} field.
     * 
     * @param votingDevicesData
     *            The VotingDevicesData to set.
     */
    public void setVotingDevicesData(VotingDevicesData votingDevicesData) {
        this.votingDevicesData = votingDevicesData;
    }

}
