/**
 * CodiTypeFile.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.type;

/**
 * Enum used to define EML file types.
 */
public enum EMLFileType {

    ELECTION, SITES;

    /**
     * Holds the translation of codi file type
     */
    private String translatedName;

    /**
     * Gets the type for key.
     * 
     * @param key
     *            the key.
     * @return the type for key
     */
    public static EMLFileType fromString(String fileType) {
        return EMLFileType.valueOf(fileType);
    }

    /**
     * Gets the translation of each type.
     * 
     * @return the translation of each type
     */
    public String getTranslatedName() {
        if (this.translatedName == null
                || (this.translatedName != null && this.translatedName
                        .isEmpty())) {
            return this.toString();
        } else {
            return this.translatedName;
        }
    }

    /**
     * Sets the translation of each type.
     * 
     * @param translatedName
     *            the translation of each type
     */
    public void setTranslatedName(String translatedName) {
        this.translatedName = translatedName;
    }
}
