/**
 * ScreenshotConversionException.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.service.lang;

import com.smartmatic.waffle.lang.BaseException;
import com.smartmatic.waffle.lang.IExceptionInfo;

/**
 * Manage exceptions in the screenshot conversion process.
 */
public class ScreenshotConversionException extends BaseException {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 1L;

	/**
	 * Enum that contains all the possible reasons because the
	 * ScreenshotConversionException can be thrown.
	 * 
	 * @author andres fleitas (andres.fleitas@smartmatic.com)
	 */
	public enum ScreenshotConversionExceptionInfo implements IExceptionInfo {

		/**
		 * ** Indicates that there was a problem durin the conversion of the
		 * screenshots *.
		 */
		PROBLEM_DURING_CONVERSION;

		/*
		 * (non-Javadoc)
		 * 
		 * @see com.smartmatic.lang.IExceptionInfo#getMessage()
		 */
		@Override
		public String getMessage() {
			return this.toString();
		}

	}

	/**
	 * * Constructor class.
	 * 
	 * @param exceptionInfo
	 *            -Enum that contains the reason because
	 *            ReportGenerationExceptionInfo is throw
	 */
	public ScreenshotConversionException(IExceptionInfo exceptionInfo) {
		super(exceptionInfo);
	}

	/**
	 * Constructor class.
	 * 
	 * @param exceptionInfo
	 *            -Enum that contains the reason because
	 *            ReportGenerationExceptionInfo is throw
	 * @param e
	 *            - Exception
	 */
	public ScreenshotConversionException(IExceptionInfo exceptionInfo,
			Throwable e) {
		super(exceptionInfo, e);
	}

}
