package com.smartmatic.waffle.ecm.service.test.suite;

import org.junit.runner.JUnitCore;
import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import com.smartmatic.waffle.ecm.service.impl.ECMBulkDataLoadServiceImplTest;
import com.smartmatic.waffle.ecm.service.impl.ECMDemographyServiceImplTest;
import com.smartmatic.waffle.ecm.service.impl.ECMElectoralDemographyServiceImplTest;
import com.smartmatic.waffle.ecm.service.impl.ECMElectoralOrganizationServiceImplTest;
import com.smartmatic.waffle.ecm.service.impl.ECMElectoralPhysicalLocationsRegistryServiceImplTest;
import com.smartmatic.waffle.ecm.service.impl.ECMMasterUSBGenerationServiceImplTest;
import com.smartmatic.waffle.ecm.service.impl.ECMNominationServiceImplTest;
import com.smartmatic.waffle.ecm.service.impl.ECMUtilitiesServiceTest;
import com.smartmatic.waffle.ecm.service.transformData.DataTransformationTest;

/**
 * The class <code>TestSuite</code> builds a suite that can be used to run all
 * of the tests within its package as well as within any sub packages of its
 * package.
 */
@RunWith(Suite.class)
@SuiteClasses({ ECMElectoralOrganizationServiceImplTest.class,
		ECMElectoralPhysicalLocationsRegistryServiceImplTest.class,
		ECMUtilitiesServiceTest.class, ECMDemographyServiceImplTest.class,
		ECMBulkDataLoadServiceImplTest.class, DataTransformationTest.class,
		ECMNominationServiceImplTest.class,
		ECMElectoralDemographyServiceImplTest.class,
		ECMMasterUSBGenerationServiceImplTest.class })
public class TestSuite {
	/**
	 * Launch the test.
	 * 
	 * @param args
	 *            the command line arguments
	 */
	public static void main(String[] args) {
		JUnitCore.runClasses(new Class[] { TestSuite.class });
	}

}
