/**
 * BackgroundInitScreen.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.ui;

import javax.swing.JFrame;
import javax.swing.JPanel;

/**
 * Class used to create and control a background screen on application
 * initialization.
 */
public class BackgroundInitScreen implements Runnable {

	/** The blocking pannel. */
	private BlockingMessageDialog blockingPannel;

	/** The pannel. */
	private JPanel pannel;

	/**
	 * Instantiates a new background init screen.
	 * 
	 * @param pannel
	 *            the pannel
	 */
	public BackgroundInitScreen(JPanel pannel) {
		this.blockingPannel = new BlockingMessageDialog(new JFrame(), false);
		this.blockingPannel.setVisible(true);
		this.blockingPannel.setFocusable(false);
		this.blockingPannel.setModal(false);
		this.blockingPannel.setAlwaysOnTop(false);
		this.blockingPannel.toBack();
		this.pannel = pannel;
		this.blockingPannel.setMessagesPanel(pannel);
	}

	/**
	 * Gets the pannel.
	 * 
	 * @return the pannel
	 */
	public JPanel getpannel() {
		return this.pannel;
	}

	/**
	 * Show screen.
	 */
	public void showScreen() {
	}

	/**
	 * Hide screen.
	 */
	public void hideScreen() {
	}

	/**
	 * Scheduled hide screen.
	 */
	public void scheduledHideScreen() {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Runnable#run()
	 */
	@Override
	public void run() {

	}

}
