/**
 * IParentCloseable.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.ui.core.spec;

import com.smartmatic.waffle.ecm.ui.menu.IGeneralMenuView;

/**
 * Interface used to define the methods of the Parent Closeable.
 */
public interface IParentCloseable {

	/**
	 * Fire parent closed event.
	 * 
	 * @param view
	 *            the view
	 */
	void fireParentClosedEvent(IGeneralMenuView view);

	/**
	 * Adds the parent closeable listener.
	 * 
	 * @param listener
	 *            the listener
	 */
	public void addIParentCloseableListener(IParentCloseableListener listener);

	/**
	 * Removes the parent closeable listener.
	 * 
	 * @param listener
	 *            the listener
	 */
	public void removeIParentCloseableListener(IParentCloseableListener listener);
}
