/**
 * WorkflowServiceBeanTest.java
 *
 * Revision: $Revision$ (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2018 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.workflow.service.impl;

import static org.junit.Assert.assertEquals;

import java.util.HashMap;
import java.util.Map;

import javax.persistence.EntityManager;

import org.drools.runtime.StatefulKnowledgeSession;
import org.drools.runtime.process.ProcessInstance;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Mockito;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.modules.junit4.PowerMockRunner;

import com.smartmatic.waffle.ecm.workflow.service.spec.WorkflowData;

/**
 * Class to test WorkflowServiceBean.
 */
@RunWith(PowerMockRunner.class)
public class WorkflowServiceBeanTest {

    @Test
    public void startProcessWorkflowDataMaxValuesTest() throws Exception {
        WorkflowServiceBean workflow = new WorkflowServiceBean() {

            @SuppressWarnings("unchecked")
            @Override
            protected StatefulKnowledgeSession createSession() {

                StatefulKnowledgeSession ksession = PowerMockito
                        .mock(StatefulKnowledgeSession.class);

                ProcessInstance processInstance = PowerMockito
                        .mock(ProcessInstance.class);

                PowerMockito.when(
                        processInstance.getId()).thenReturn(Long.MAX_VALUE);

                PowerMockito.when(
                        ksession.startProcess(Mockito
                                .anyString(), Mockito.anyMap())).thenReturn(
                        processInstance);

                PowerMockito.when(
                        ksession.getId()).thenReturn(Integer.MAX_VALUE);

                return ksession;
            }

        };

        workflow.entityManager = PowerMockito.mock(EntityManager.class);

        Map<String, Object> parameters = new HashMap<String, Object>();

        workflow.startProcess("com.smartmatic.waffle.ecm", parameters,
                null);

        WorkflowData workflowData = workflow.getWorkflowData();

        assertEquals(Long.MAX_VALUE, workflowData.getProcessId());
        assertEquals(Integer.MAX_VALUE, workflowData.getSessionId());
        assertEquals(1, workflowData.getStep());

    }
}
