/**
 * CommonResultInfo.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.localpersistence;

/**
 * DTO class to hold the key information returned for some methods.
 * 
 * @author Carlos Ramirez (cramirez@smartmatic.com)
 */
public class CommonResultInfo {

	/** The existence. */
	Existence existence;

	/** The destination type. */
	DestinationType destinationType;

	/** The status. */
	DestinationStatus status;

	/**
	 * Getter of <code>existence</code> property.
	 * 
	 * @return <code>existence</code> property value.
	 * @see #existence
	 */

	public Existence getExistence() {
		return this.existence;
	}

	/**
	 * Setter of <code>existence</code> property.
	 * 
	 * @param existence
	 *            The <code>existence</code> to set.
	 * @see #existence
	 */
	public void setExistence(Existence existence) {
		this.existence = existence;

		return;
	}

	/**
	 * Getter of <code>destinationType</code> property.
	 * 
	 * @return <code>destinationType</code> property value.
	 * @see #destinationType
	 */

	public DestinationType getDestinationType() {
		return this.destinationType;
	}

	/**
	 * Setter of <code>destinationType</code> property.
	 * 
	 * @param destinationType
	 *            The <code>destinationType</code> to set.
	 * @see #destinationType
	 */
	public void setDestinationType(DestinationType destinationType) {
		this.destinationType = destinationType;

		return;
	}

	/**
	 * Getter of <code>status</code> property.
	 * 
	 * @return <code>status</code> property value.
	 * @see #status
	 */

	public DestinationStatus getStatus() {
		return this.status;
	}

	/**
	 * Setter of <code>status</code> property.
	 * 
	 * @param status
	 *            The <code>status</code> to set.
	 * @see #status
	 */
	public void setStatus(DestinationStatus status) {
		this.status = status;

		return;
	}

	/**
	 * @inheritDoc
	 */
	@Override
	public String toString() {
		return "(" + this.existence + ", " + this.destinationType + ", "
				+ this.status + ")";

	}
}
