/**
 * AppenderConfiguration.java
 *
 * $Revision: 1.3 $ ($Date: 2009-11-12 21:15:10 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.log.configuration;

/**
 * Application appender configuration parameter Node
 * 
 * @author Carlos Lameda (carlos.lameda@smartmatic.com)
 * @version 1.0 (Nov 11, 2009)
 */
public class AppenderConfiguration extends ConfigurationParameter {
	/**
	 * The default element name in XML format
	 */
	public static final String ELEMENT_LOCAL_NAME = "appender";

	/**
	 * Overload the Default Element Name
	 * 
	 * @return the default element name
	 */
	@Override
	public String getDefaultElementName() {
		return ELEMENT_LOCAL_NAME;
	}

	/**
	 * Default Constructor
	 * 
	 * @param appenderName
	 *            The custom name
	 * @param appenderType
	 *            The node type
	 */
	public AppenderConfiguration(String appenderName, String appenderType) {
		super(appenderName, null, appenderType, null, null, false);
	}

}
