/**
 * JoinType.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 04:45:12 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */

package com.smartmatic.waffle.persistence.search;

import java.io.Serializable;

/**
 * The type of join to use when the method createAlias from SearchExpression is
 * used.
 * 
 * 
 * @version 1.0 (30/03/2006)
 * @author Carlos Ramirez (cramirez@smartmatic.com)
 * 
 * @see SearchExpression#createAlias(String, String, JoinType)
 */

public enum JoinType implements Serializable {
	/**
	 * Specifies joining to an entity based on an inner join.
	 */
	INNER_JOIN,

	/**
	 * Specifies joining to an entity based on a full join.
	 */
	FULL_JOIN,

	/**
	 * Specifies joining to an entity based on a left outer join.
	 */
	LEFT_JOIN
}
