/**
 * TransformationsList.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 04:45:09 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.persistence.search.transformation;

import java.util.ArrayList;
import java.util.List;

/**
 * Class that implements a list of projections
 * 
 * @version 1.0 (16/04/2005)
 * @author Ithamar Torres
 */

public class TransformationsList implements ITransformation {

	/**
	 * Holds the serialization id of the class
	 */

	private static final long serialVersionUID = -3340514034727608892L;

	/**
	 * List of transformation grouped by this transformation
	 */

	private List<ITransformation> transformationList = new ArrayList<ITransformation>();

	/**
	 * Method that allows to add new transformations to this transformation list
	 * 
	 * @param proj
	 *            Transformation to add
	 */
	public void add(ITransformation proj) {
		this.transformationList.add(proj);
	}

	/**
	 * Method that allows to obtain the list of transformations contained in
	 * this transformation list
	 * 
	 * @return An array with the transformations
	 */
	public ITransformation[] getTransformations() {
		return this.transformationList.toArray(new ITransformation[0]);
	}

}
