package com.smartmatic.waffle.validator.eligibleoption;

import com.smartmatic.waffle.lang.IExceptionInfo;
import com.smartmatic.waffle.validator.ObjectDataValidatorException;

public class CandidateDataValidatorException extends
		ObjectDataValidatorException {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 347962601542030202L;

	/**
	 * The Enum ExceptionInfo.
	 */
	public enum ExceptionInfo implements IExceptionInfo {

		/** Empty candidate fields. */
		EMPTY_REQUIRED_FIELDS;

		/**
		 * Getter of <code>message</code> property.
		 * 
		 * @return <code>message</code> property value.
		 * @see #message
		 * 
		 */
		@Override
		public String getMessage() {
			return this.getClass().getName() + "." + this.toString();
		}
	}

	/**
	 * Instantiates a new candidate data validation exception.
	 * 
	 * @param exceptionInfo
	 *            the exception info
	 * @param inner
	 *            the inner
	 */
	public CandidateDataValidatorException(IExceptionInfo exceptionInfo,
			Exception inner) {
		super(exceptionInfo, inner);
	}
}