/**
 * IContextProvider.java
 *
 * $Revision: 1.2 $ ($Date: 2009-11-06 20:17:57 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.client;

/**
 * Interface used by the ClientJNIWrapper to type the contexts used to obtain a
 * reference to an object managed by the application server
 * 
 * @author Ithamar Torres (itorres@smartmatic.com)
 */

public interface IContextProvider {

	/**
	 * Provides the context used to perform a JNI lookup using the class
	 * ClientJNIWrapper
	 * 
	 * @return The context path
	 */

	public String getContext();
}
