/**
 * JNDILookupModeEnum.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 05:08:28 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.client;

/**
 * Contains the ways that a object instance can be obtained. It is used to
 * configure only once the way that the objects will be obtained from the
 * application server
 * 
 * @author Ithamar Torres (itorres@smartmatic.com)
 */

public enum JNDILookupModeEnum {

	/**
	 * Enum that is used to obtain local reference of the beans managed by the
	 * application server
	 * 
	 * @author Ithamar Torres (itorres@smartmatic.com)
	 */

	LOCAL("local"),

	/**
	 * Enum that is used to obtain remore reference of the beans managed by the
	 * application server
	 * 
	 * @author Ithamar Torres (itorres@smartmatic.com)
	 */

	REMOTE("remote");
	/**
	 * Holds the name that the enum defines as the suffix used to search the
	 * beans in the application server
	 * 
	 * @author Ithamar Torres (itorres@smartmatic.com)
	 * 
	 */

	private String lookupName;

	/**
	 * Getter of the lookupName field.
	 * 
	 * @return The value of the lookupName field
	 */

	public String getLookupName() {
		return this.lookupName;
	}

	/**
	 * Creates a new instance of a JNDILookupModeEnum
	 * 
	 * @param theLookupName
	 *            The value that is desired to set in the field lookupName
	 */

	private JNDILookupModeEnum(String theLookupName) {
		this.lookupName = theLookupName;
	}
}
