/**
 * CustomCodeAnnotation.java
 *
 * $Revision: 1.4 $ ($Date: 2011-04-06 03:10:08 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.bulk;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

/**
 * Annotation used to identify the custom code of a entity. A custom code is the
 * field used in the bulk data loading module to identify a entity. It is the
 * user known key of the object
 * 
 * @version 1.0 (Aug 9, 2007)
 * @author Ithamar Torres (itorres@smartmatic.com)
 */

@Target(METHOD)
@Retention(RUNTIME)
public @interface CustomCodeAnnotation {
	/**
	 * Used by all classes that have a custom code
	 * 
	 * @return boolean
	 */
	boolean customCode() default false;
}
