/**
 * GeneratedPropertyAnnotation.java
 *
 * $Revision: 1.2 $ ($Date: 2009-11-06 20:17:57 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.lang.annotations.basic;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import com.smartmatic.waffle.generator.spec.IGenerator;

/**
 * Annotation used to allow to automatically create a property of any object.
 * 
 * @version 1.0 (05/04/2005)
 * @author Ithamar Torres
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface GeneratedPropertyAnnotation {

	/**
	 * Class that has to generate the information of the object.
	 */
	Class<? extends IGenerator> generatorClass();

	/**
	 * Property to use to set the value that the generator has to create.
	 */
	String property() default "";
}
