/**
 * DefaultTextFormatter.java
 *
 * $Revision: 1.4 $ ($Date: 2011-04-06 05:08:31 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.text.impl;

import java.text.MessageFormat;

import com.smartmatic.waffle.text.spec.ITextFormatter;

/**
 * Reference implementation of the ITextFormatter interface. Used as an example
 * but not to be used in a application because does not use a
 * PropertyResourceBundle
 * 
 * @author Ithamar Torres (itorres@smartmatic.com)
 * @version 1.0 (03/05/2006)
 */
public class DefaultTextFormatter implements ITextFormatter {

	/**
	 * Method that returns a key formatted.
	 * 
	 * @author Ithamar Torres (itorres@smartmatic.com)
	 * @param key
	 *            The message key that needs to be formatted.
	 * @return The text formatted.
	 */
	@Override
	public String getText(String theKey) {
		return this.getText(theKey, "");
	}

	/**
	 * Method that returns a key formatted.
	 * 
	 * @author Ithamar Torres (itorres@smartmatic.com)
	 * @param key
	 *            The message key that needs to be formatted.
	 * @param params
	 *            The parameters used to match the parameters founded in the
	 *            message
	 * @return The text formatted.
	 */
	@Override
	public String getText(String theKey, Object... theParams) {
		return MessageFormat.format(theKey, theParams);
	}

}
