/**
 * @file   ConfigurationException.hxx
 * @brief  Declaration of ConfigurationException class.
 * @author angel.ramirez
 * @date   Jul 06, 2022
 */

#ifndef CONFIGURATION_EXCEPTION_HXX
#define CONFIGURATION_EXCEPTION_HXX

#include <System/Exception/BaseException.hxx>

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }

    namespace SAES
    {
        namespace Exceptions
        {
            namespace Voting
            {
                /**
                 * @class  ConfigurationException
                 * @brief  Exception when a configuration error is found.
                 * @author angel.ramirez
                 * @date   Jul 06, 2022
                 */
                class ConfigurationException : public Smartmatic::System::Exception::BaseException
                {
                    public:

                        /**
                         * @brief  Creates an instance of the exception.
                         * @author angel.ramirez
                         * @date   Jul 06, 2022
                         */
                        ConfigurationException(std::string message, std::string code,
                                                   Smartmatic::Log::ISMTTLog* logger = NULL);
                };

            } /* namespace Voting */
        } /* namespace Exceptions */
    } /* namespace SAES */
} /* namespace Smartmatic */

#endif /* CONFIGURATION_EXCEPTION_HXX */
