/**
 * @file	QRVoteSignatureException.h
 * @brief	Declares the qr vote signature exception class.
 * @author	Youssef.tourkmani
 * @date	31/10/2012
 */

#ifndef QRVOTESIGNATUREEXCEPTION_H_
#define QRVOTESIGNATUREEXCEPTION_H_

#include <System/Exception/BaseException.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace Exceptions
        {
            namespace Voting
            {
                namespace Vote
                {
                    /**
                     * @class	QRVoteSignatureException
                     * @brief	Exception for signalling qr vote signature errors.
                     * @author	Youssef.tourkmani
                     * @date	31/10/2012
                     */
                    class QRVoteSignatureException : public Smartmatic::System::Exception::BaseException
                    {
                        public:
                            /**
                             * @fn	QRVoteSignatureException::QRVoteSignatureException(std::string message, std::string code,
                             * 			Smartmatic::Log::ISMTTLog* logger);
                             * @brief	Constructor.
                             * @author	Youssef.tourkmani
                             * @date	31/10/2012
                             * @param	message						The message.
                             * @param	code							The code.
                             * @param [in,out]	logger	If non-null, the logger.
                             */
                            QRVoteSignatureException ( std::string message, std::string code,
                                                       Smartmatic::Log::ISMTTLog * logger );
                    };
                }
            }
        }
    }
}

#endif /* QRVoteSignatureException_H_ */
