/**
 * @file	TranslatorTextConfiguration.h
 * @brief	Declares the translator text configuration class.
 * @author	Youssef.tourkmani
 * @date	31/10/2012
 */

#ifndef _TRANSLATORTEXTCONFIGURATION_H_
#define _TRANSLATORTEXTCONFIGURATION_H_
#include "Printing/DocumentOptions.h"
#include "Configuration/s-a-e-s-conf-manager.h"

namespace Smartmatic
{
    namespace SAES
    {
        namespace Printing
        {
            /**
             * @class	TranslatorTextConfiguration
             * @brief	Translate the text configuration.
             * @author	Eduardo.campione
             * @date	28/04/2011
             */

            class TranslatorTextConfiguration
            {
                public:

                    /**
                     * @fn	static DocumentTextOptions TranslatorTextConfiguration::TextConfigurationToDocumentTextOptions(Smartmatic::SAES::Configuration::TextConfiguration textConfiguration);
                     * @brief	Text configuration to document text options.
                     * @author	Eduardo.campione
                     * @date	28/04/2011
                     * @param	textConfiguration	The text configuration.
                     * @return	.
                     */

                    static DocumentTextOptions TextConfigurationToDocumentTextOptions ( Smartmatic::SAES::Configuration::TextConfiguration textConfiguration );
                protected:

                private:

            };
        }
    }
}

#endif // _TRANSLATORTEXTCONFIGURATION_H_
