/**
 * @file   VoteCounterByCA.cxx
 * @brief  Implementation of VoteCounterByCA class.
 * @author manuel.arguelles
 * @date   Jun 27, 2017
 */

#include "VoteCounterByCA.hxx"

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

using namespace Smartmatic::SAES::Voting::PBReports;

#ifdef ENABLE_NLS
#define _(String) dgettext (GETTEXT_PACKAGE, String) ///<macro for gettext
#else
#define _(String) (String) ///<macro without gettext
#endif

#define N_(String) (String) ///<macro for gettext not translate

VoteCounterByCA::VoteCounterByCA(const std::string& caCode, const std::string& caValue, unsigned int initialCounter)
    : m_caCode(caCode), m_caValue(caValue), m_counter(initialCounter)
{
}

VoteCounterByCA::~VoteCounterByCA()
{
}

void VoteCounterByCA::incrementCounter()
{
    m_counter++;
}

std::string VoteCounterByCA::getCACode()
{
    return m_caCode;
}

std::string VoteCounterByCA::getCAValue()
{
    return m_caValue;
}

unsigned int VoteCounterByCA::getCounter()
{
    return m_counter;
}

void VoteCounterByCA::clearCounter()
{
    m_counter = 0;
}
