/**
 * @file VoteValidate.hxx
 * @brief Header Vote Validate Class
 * @date 29/04/2013
 * @author Yadickson Soto
 */

#ifndef VOTEVALIDATE_HXX_
#define VOTEVALIDATE_HXX_

#include <Voting/Vote/vote-schema.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace Voting
        {
            namespace Vote
            {
                /**
                 * @class VoteValidate
                 * @brief Vote Validate
                 * @date 29/04/2013
                 * @author Yadickson Soto
                 */
                class VoteValidate
                {
                    private:

                        /**
                         * @fn VoteValidate ();
                         * @brief Class constructor
                         * @date 29/04/2013
                         * @author Yadickson Soto
                         */
                        VoteValidate ();

                    public:

                        /**
                         * @fn virtual ~VoteValidate();
                         * @brief Class destructor
                         * @date 29/04/2013
                         * @author Yadickson Soto
                         */
                        virtual ~VoteValidate();

                        /**
                         * @fn static bool validateStructure( Vote * vote );
                         * @brief Method validate structure of vote
                         * @date 29/04/2013
                         * @author Yadickson Soto
                         * @param vote vote to validate
                         * @return true structure validated
                         */
                        static bool validateStructure ( Vote * vote );
                };
            } /* namespace Vote */
        } /* namespace Voting */
    } /* namespace SAES */
} /* namespace Smartmatic */
#endif /* VOTEVALIDATE_HXX_ */
