/**
 * @file LogicalVoterGroupFactory.cxx
 * @brief Body class tool for create logical voter groups
 * @date 30/04/2013
 * @author Yadickson Soto
 */

#include "LogicalVoterGroupFactory.hxx"

using namespace Smartmatic::SAES::Voting::VotingDevice;

LogicalVoterGroupFactory::LogicalVoterGroupFactory ()
{

}

LogicalVoterGroupFactory::~LogicalVoterGroupFactory()
{

}

Logical_voter_group LogicalVoterGroupFactory::createLogicalVoterGroup ()
{
    Logical_voter_group logicalVoterGroup;
    Custom_attributes customAtts;
    Custom_attributes::Custom_attributeSequence customAttseq;
    customAtts.setCustom_attribute ( customAttseq );

    logicalVoterGroup.setContest_group_code ( "" );
    logicalVoterGroup.setRegion_code ( "" );
    logicalVoterGroup.setOperation_mode_code ( "" );
    logicalVoterGroup.setVoting_booth_code ( "" );
    logicalVoterGroup.setName_key ( "" );
    logicalVoterGroup.setCode ( "" );
    logicalVoterGroup.setCustom_code ( "" );
    logicalVoterGroup.setCustom_attributes ( customAtts );

    return logicalVoterGroup;
}

Logical_voter_group LogicalVoterGroupFactory::createLogicalVoterGroup ( Custom_attribute & attribute )
{
    Logical_voter_group logicalVoterGroup = createLogicalVoterGroup();
    Custom_attributes::Custom_attributeSequence & customAttseq ( logicalVoterGroup.getCustom_attributes().get().getCustom_attribute() );
    customAttseq.push_back ( attribute );

    return logicalVoterGroup;
}

Logical_voter_group LogicalVoterGroupFactory::createLogicalVoterGroup ( std::vector < Custom_attribute > & attributes )
{
    Logical_voter_group logicalVoterGroup = createLogicalVoterGroup();
    Custom_attributes::Custom_attributeSequence & customAttseq ( logicalVoterGroup.getCustom_attributes().get().getCustom_attribute() );

    for ( unsigned int i = 0; i < attributes.size(); i++ )
    {
        customAttseq.push_back ( attributes[i] );
    }

    return logicalVoterGroup;
}
