/**
 * @file MockDiagnosticLogConfigurationManager.hxx
 * @date 28/03/2014
 * @author Yadickson Soto
 */

#ifndef MOCK_DIAGNOSTIC_LOG_CONF_MANAGER_HXX_
#define MOCK_DIAGNOSTIC_LOG_CONF_MANAGER_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Configuration/DiagnosticLogConfigurationManager.hxx>

class MockDiagnosticLogConfigurationManager : public Smartmatic::SAES::Configuration::DiagnosticLogConfigurationManager,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockDiagnosticLogConfigurationManager ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockDiagnosticLogConfigurationManager" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( shouldPersistDiagnosticLogFile )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getSeparator )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getStringOk )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getStringNotOk )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getStringNA )

        {
        }

        virtual ~MockDiagnosticLogConfigurationManager ()
        {
        }

        MOCKPP_CHAINABLE0 ( MockDiagnosticLogConfigurationManager, bool, shouldPersistDiagnosticLogFile );
        MOCKPP_CHAINABLE0 ( MockDiagnosticLogConfigurationManager, std::string, getSeparator );
        MOCKPP_CHAINABLE0 ( MockDiagnosticLogConfigurationManager, std::string, getStringOk );
        MOCKPP_CHAINABLE0 ( MockDiagnosticLogConfigurationManager, std::string, getStringNotOk );
        MOCKPP_CHAINABLE0 ( MockDiagnosticLogConfigurationManager, std::string, getStringNA );
};

#endif /* MOCK_DIAGNOSTIC_LOG_CONF_MANAGER_HXX_ */
