/*
 * MockVoteOptimizedSelection.hxx
 *
 *  Created on: 21/05/2013
 *      Author: soto
 */

#ifndef MOCKVOTEOPTIMIZEDSELECTION_HXX_
#define MOCKVOTEOPTIMIZEDSELECTION_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Voting/Vote/VoteOptimizedSelection.hxx>

class MockVoteOptimizedSelection : public Smartmatic::SAES::Voting::Vote::VoteOptimizedSelection,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        typedef std::map < std::string, std::string > mapChecksum;

        MockVoteOptimizedSelection ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockVoteOptimizedSelection" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT2 ( getChecksum, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT2 ( getBallots, ext )
        {

        }

        MOCKPP_VOID_CHAINABLE_EXT2 ( MockVoteOptimizedSelection,
                                     getChecksum, const Smartmatic::SAES::Voting::Vote::Vote *, mapChecksum &,
                                     ext, const Smartmatic::SAES::Voting::Vote::Vote *, mapChecksum * );

        MOCKPP_VOID_CHAINABLE_EXT2 ( MockVoteOptimizedSelection,
                                     getBallots, mapChecksum &, Smartmatic::SAES::Voting::Vote::Vote *,
                                     ext, mapChecksum *, Smartmatic::SAES::Voting::Vote::Vote * );

};

#endif /* MOCKVOTEOPTIMIZEDSELECTION_HXX_ */
