/**
 * @file	LogPage.cc
 * @brief	Implementation of the entity that represent a log page that contains the lines and index associated.
 * @author	Youssef.tourkmani
 * @date	30/10/2012
 */

#include "LogPage.h"
using namespace Smartmatic::SAES::Log;

LogPage::LogPage()
{
    pageNumber = 0;
}

LogPage::LogPage ( const LogPage & logPage )
    : pageNumber(logPage.getPageNumber())
    , vectorPage(logPage.getPage())
{
}

LogPage::LogPage ( unsigned int pageNumber, const std::vector<LogLine>& vectorPage )
    : pageNumber(pageNumber)
    , vectorPage(vectorPage)
{
}

unsigned int LogPage::getPageNumber() const
{
    return this->pageNumber;
}

std::vector<LogLine> LogPage::getPage() const
{
    return this->vectorPage;
}

LogPage & LogPage::operator= ( const LogPage & obj )
{
    this->pageNumber = obj.pageNumber;
    this->vectorPage = obj.vectorPage;
    return *this;  // Return a reference to myself.
}
