/**
 * @file	IBasePrintDocument.cxx
 * @brief	Implementation of the common interface that abstracts to the print entity.
 * @author	Yadickson Soto
 * @date	05/12/2012
 */

#include "IBasePrintDocument.hxx"
#include "Configuration/s-a-e-s-common-conf-manager.h"

using namespace Smartmatic::SAES::Printing;
using namespace Smartmatic::SAES::Common::Configuration;
using namespace Smartmatic::System;

IBasePrintDocument::IBasePrintDocument()
{
    backendType = SAESCommonConfigurationManager::getInstance()->getConfigurationPrinter().getPrinterBackendType();
}

IBasePrintDocument::~IBasePrintDocument()
{

}

PrinterBackendType IBasePrintDocument::getBackendType()
{
    return backendType;
}

SafeBuffer IBasePrintDocument::getBuffer ()
{
    SafeBuffer buffer;
    return buffer;
}
