/**
 * @file	PrintDocumentClient.h
 * @brief	Declares the print document client class.
 * @author	Youssef.tourkmani
 * @date	30/10/2012
 */


#ifndef _PRINTDOCUMENTCLIENT_H_
#define _PRINTDOCUMENTCLIENT_H_

#include "Printing/PrintDocumentResult.h"

namespace Smartmatic
{
    namespace SAES
    {
        namespace Printing
        {
            /**
             * @class	PrintDocumentClient
             * @brief	Print document client.
             * @author	Cesar.bonilla
             * @date	4/28/2011
             */

            class PrintDocumentClient
            {
                public:

                    /**
                     * @fn	PrintDocumentClient::PrintDocumentClient()
                     * @brief	Default constructor.
                     * @author	Youssef.tourkmani
                     * @date	30/10/2012
                     */
                    PrintDocumentClient() {}

                    /**
                     * @fn	virtual PrintDocumentClient::~PrintDocumentClient()
                     * @brief	Destructor.
                     * @author	Youssef.tourkmani
                     * @date	30/10/2012
                     */
                    virtual ~PrintDocumentClient() {}

                    /**
                     * @fn	virtual void PrintDocumentClient::onDocumentPrinted (PrintDocumentResult res)
                     * @brief	Executes the document printed action.
                     * @author	Cesar.bonilla
                     * @date	4/28/2011
                     * @param	res	The resource.
                     */

                    virtual void onDocumentPrinted ( PrintDocumentResult res ) {}

                protected:

                private:

            };
        }
    }
}

#endif // _PRINTDOCUMENTCLIENT_H_
