/**
 * @file	SaesInstallDirectories.cxx
 * @brief	saes install directories class.
 * @author	Youssef.tourkmani
 * @date	30/10/2012
 */


#include "SaesInstallDirectories.hxx"
#include <System/IO/Path.h>

using namespace Smartmatic::SAES::Runtime::Environment;
using namespace Smartmatic::System::IO;

SaesInstallDirectories::SaesInstallDirectories()
    : SaesDirectories()
    , workingPath(SaesDirectories::getWorkingDirectoryFolderName())
{
}

SaesInstallDirectories::~SaesInstallDirectories()
{
}

void SaesInstallDirectories::setWorkingPath ( std::string workingPath )
{
    this->workingPath = workingPath;
}

void SaesInstallDirectories::setProgramUnitName ( std::string programUnitName )
{
    this->programUnitName = programUnitName;
}

std::string SaesInstallDirectories::getElectoralImagesFullFolderPath ( Smartmatic::SAES::Common::Configuration::BasePathType type )
{
    return Path::Combine ( Path::Combine ( Path::Combine ( getDevicePath ( type ), workingDirectory ), SaesDataFolderName ), ElectoralImageFolderName );
}
