/**
 * @file StoreMockConnectionBehavior.hxx
 * @author Yadickson Soto
 * @date 28/03/2014
 */

#ifndef STORE_MOCK_SMARTCARD_HANDLER_HXX_
#define STORE_MOCK_SMARTCARD_HANDLER_HXX_

#include <Card/ConnectionBehavior.hxx>

class StoreMockConnectionBehavior : public Smartmatic::SAES::Card::ConnectionBehavior
{
    public:

        StoreMockConnectionBehavior ()
        {
        }

        virtual ~StoreMockConnectionBehavior ()
        {
        }

        virtual bool isCardPresent ()
        {
            return true;
        }

        virtual bool connect ()
        {
            return true;
        }

        virtual bool disconnect()
        {
            return true;
        }

        virtual bool checkConnectionStatus ( long unsigned int )
        {
            return true;
        }

        virtual bool selectAID ( const Smartmatic::System::SafeBuffer & aid )
        {
            this->aid = aid;
            return true;
        }

        virtual bool sendCommand ( const Smartmatic::System::SafeBuffer & command )
        {
            this->command = command;
            return true;
        }

        virtual Smartmatic::System::SafeBuffer sendCommandWithResponse ( const Smartmatic::System::SafeBuffer & command )
        {
            this->commandWithResponse = command;
            return response;
        }

        Smartmatic::System::SafeBuffer aid;
        Smartmatic::System::SafeBuffer command;
        Smartmatic::System::SafeBuffer commandWithResponse;
        Smartmatic::System::SafeBuffer response;
};

#endif /* STORE_MOCK_SMARTCARD_HANDLER_HXX_ */
