/**
 * @file MockDeviceTypeMonitor.hxx
 * @date 28/03/2014
 * @author Yadickson Soto
 */

#ifndef MOCK_DEVICE_TYPE_MONITOR_HXX_
#define MOCK_DEVICE_TYPE_MONITOR_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Operation/Monitor/DeviceTypeMonitor.hxx>

class MockDeviceTypeMonitor : public Smartmatic::SAES::Common::Operation::Monitor::DeviceTypeMonitor,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockDeviceTypeMonitor ( Smartmatic::SAES::Common::Configuration::DeviceType type )
            : DeviceTypeMonitor ( type )
            , MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockDeviceTypeMonitor" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT1 ( added, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT1 ( removed, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( getDeviceMounted, ext )
        {
        }

        virtual ~MockDeviceTypeMonitor ()
        {
        }

        MOCKPP_VOID_CHAINABLE_EXT1 ( MockDeviceTypeMonitor, added, const std::string &,
                                     ext,  const std::string * );

        MOCKPP_VOID_CHAINABLE_EXT1 ( MockDeviceTypeMonitor, removed, const std::string &,
                                     ext,  const std::string * );

        MOCKPP_CHAINABLE_EXT2 ( MockDeviceTypeMonitor, std::string, getDeviceMounted, const std::string &, const std::string &,
                                std::string, ext,  const std::string *,  const std::string * );
};

#endif /* MOCK_DEVICE_TYPE_MONITOR_HXX_ */
