/**
 * @file MockSmartcard
 * @author Yadickson Soto
 * @date 28/03/2014
 */

#ifndef MOCK_SMARTCARD_HXX_
#define MOCK_SMARTCARD_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Card/Smartcard.hxx>

class MockSmartcard : public Smartmatic::SAES::Card::Smartcard,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockSmartcard ()
            : Smartmatic::SAES::Card::Smartcard ( NULL, NULL, Smartmatic::System::SafeBuffer(), Smartmatic::System::SafeBuffer() )
            , MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockSmartcard" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( open, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( close )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( isCardPresent )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( read, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( write, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( test )
        {
        }

        virtual ~MockSmartcard ()
        {
        }

        MOCKPP_CHAINABLE_EXT1 ( MockSmartcard, bool, open, const std::string &,
                                bool, ext, const std::string * );

        MOCKPP_CHAINABLE0 ( MockSmartcard, bool, close );

        MOCKPP_CHAINABLE0 ( MockSmartcard, bool, isCardPresent );

        MOCKPP_CHAINABLE_EXT2 ( MockSmartcard,
                                bool, read, Smartmatic::System::SafeBuffer &, Smartmatic::SAES::Security::CryptoData &,
                                bool, ext, Smartmatic::System::SafeBuffer *, Smartmatic::SAES::Security::CryptoData * );

        MOCKPP_CHAINABLE_EXT2 ( MockSmartcard,
                                bool, write, Smartmatic::System::SafeBuffer &, Smartmatic::SAES::Security::CryptoData &,
                                bool, ext, Smartmatic::System::SafeBuffer *, Smartmatic::SAES::Security::CryptoData * );

        MOCKPP_CHAINABLE0 ( MockSmartcard, bool, test );
};

#endif /* MOCK_SMARTCARD_HXX_ */
