/**
 * @file MockSmartcardConfigurationManager.hxx
 * @date 28/03/2014
 * @author Yadickson Soto
 */

#ifndef MOCK_SMARTCARD_CONF_MANAGER_HXX_
#define MOCK_SMARTCARD_CONF_MANAGER_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Configuration/SmartcardConfigurationManager.hxx>

class MockSmartcardConfigurationManager : public Smartmatic::SAES::Common::Configuration::SmartcardConfigurationManager,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockSmartcardConfigurationManager ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockSmartcardConfigurationManager" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getAppletID )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getGlobalPIN )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getPlatformMode )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( hasSecureChannel )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getSecurityKeySetVersion )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getSecurityKeyIndex )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getSecurityChannelProtocol )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getSecurityChannelProtocolImpl )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getSecurityLevel )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getSecurityKeyDerivation )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getForceRestartSmartcardReader )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getForceRestartPCSCD )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getDelayAfterOn )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getWaitStopPCSCD )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getWaitStartPCSCD )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getCallRestartBeforeInitialize )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getConnectionPluginName )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getConnectionPluginVersion )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getNumberOfTriesToRead )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( isErrorCode, ext )

        {
        }

        virtual ~MockSmartcardConfigurationManager ()
        {
        }

        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, std::string, getAppletID );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, std::string, getGlobalPIN );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, Smartmatic::SAES::Common::Configuration::PlatformMode, getPlatformMode );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, bool, hasSecureChannel );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, int, getSecurityKeySetVersion );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, int, getSecurityKeyIndex );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, Smartmatic::SAES::Common::Configuration::SecurityChannelProtocol, getSecurityChannelProtocol );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, Smartmatic::SAES::Common::Configuration::SecurityChannelProtocolImpl, getSecurityChannelProtocolImpl );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, Smartmatic::SAES::Common::Configuration::SecurityLevel, getSecurityLevel );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, Smartmatic::SAES::Common::Configuration::SecurityKeyDerivation, getSecurityKeyDerivation );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, bool, getForceRestartSmartcardReader );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, bool, getForceRestartPCSCD );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, unsigned int, getDelayAfterOn );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, unsigned int, getWaitStopPCSCD );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, unsigned int, getWaitStartPCSCD );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, bool, getCallRestartBeforeInitialize );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, std::string, getConnectionPluginName );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, std::string, getConnectionPluginVersion );
        MOCKPP_CHAINABLE0 ( MockSmartcardConfigurationManager, unsigned int, getNumberOfTriesToRead );

        MOCKPP_CHAINABLE_EXT1 ( MockSmartcardConfigurationManager,
                                bool, isErrorCode, unsigned int,
                                bool , ext, unsigned int );
};

#endif /* MOCK_SMARTCARD_CONF_MANAGER_HXX_ */
