/**
 * @file saes-functionality-language-controller.cc
 * @brief Implementation of the SAESFunctionalityLanguageController class.
 * @author Youssef.tourkmani
 * @date 01/11/2012
 */


#include "Configuration/saes-functionality-language-controller.h"
#include <System/OptParser.hxx>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_NLS
#define _(String) dgettext (GETTEXT_PACKAGE, String) ///<macro for gettext
#else
#define _(String) (String) ///<macro without gettext
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::SAES::Functionality::Configuration;
using namespace Smartmatic::System;

SAESFunctionalityLanguageController::SAESFunctionalityLanguageController()
{
}

SAESFunctionalityLanguageController::~SAESFunctionalityLanguageController()
{
}

std::string SAESFunctionalityLanguageController::getPackageName()
{
    return GETTEXT_PACKAGE;
}

std::string SAESFunctionalityLanguageController::getLocaleDir()
{
    std::string pathLocaleDir;
    return pathLocaleDir = OptParser::getInstance()->isSet ( OptParser::LOCALE_DIR ) && OptParser::getInstance()->getArg ( OptParser::LOCALE_DIR, pathLocaleDir ) ? pathLocaleDir : GNOMELOCALEDIR;
}

