/**
 * @file   LEDStripDefaultManager.hxx
 * @brief  Declaration of LEDStripDefaultManager class.
 * @author manuel.arguelles
 * @date   Nov  2, 2017
 */

#ifndef LED_STRIP_DEFAULT_MANAGER_HXX
#define LED_STRIP_DEFAULT_MANAGER_HXX

#include <glibmm.h>
#include <memory>
#include "IStripLEDManager.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace Operation
        {
            namespace Devices
            {
                /**
                 * @class  LEDStripDefaultManager
                 * @brief  Controls the LED strip.
                 * @author manuel.arguelles
                 * @date   Nov  2, 2017
                 */
                class LEDStripDefaultManager: public IStripLEDManager
                {
                    public:

                	    /**
                         * @brief  Creates an instance of the class.
                         * @author manuel.arguelles
                         * @date   Nov  2, 2017
                         */
                         LEDStripDefaultManager();

                        /**
                         * @brief  Destroys an instance of the class.
                         * @author manuel.arguelles
                         * @date   Nov  2, 2017
                         */
                        ~LEDStripDefaultManager();

                    public:

                        /**
                         * @brief  turn on All LEDs in the strip
                         * @author manuel.arguelles
                         * @date   Nov  2, 2017
                         */
                        bool turnAllLedsOn();

                        /**
                         * @brief  turn off All LEDs in the strip
                         * @author manuel.arguelles
                         * @date   Nov  2, 2017
                         */
                        bool turnAllLedsOff();

                };

            } /* namespace Devices */
        } /* namespace Operation */
    } /*  namespace SAES */
} /* namespace Smartmatic */

#endif /* LED_STRIP_DEFAULT_MANAGER_HXX */
