/**
 * @file MachineDate.cxx
 * @brief Body date machine class
 * @date 20/09/2012
 * @author Yadickson Soto
 */

#include "MachineDate.hxx"
#include "MachineOperationManager.hxx"
#include <Log/SMTTLogManager.h>
#include <System/IO/File.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_NLS
#define _(String) dgettext (GETTEXT_PACKAGE, String) ///<macro for gettext
#else
#define _(String) (String) ///<macro without gettext
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::SAES::Operation;
using namespace Smartmatic::Log;
using namespace Smartmatic::System::IO;
using namespace Smartmatic::System;

ISMTTLog * MachineDate::logger = SMTTLogManager::GetLogger ( "Smartmatic.SAES.Operation.MachineDate", GETTEXT_PACKAGE );

MachineDate::MachineDate()
{
}

MachineDate::~MachineDate()
{
}

std::string MachineDate::getMachineDate()
{
    std::string date = "";
    Smartmatic::SAES::Runtime::Environment::SaesDirectories directories;
    std::string totalPath = directories.getMachineDateFullPath();

    if ( File::getInstance()->readFile ( totalPath, date ) )
    {
        return date;
    }

    totalPath = directories.getMachineDateFullPath ( Smartmatic::SAES::Common::Configuration::BasePathType::CONFIGURATION_FLASH );

    if ( File::getInstance()->readFile ( totalPath, date ) )
    {
        return date;
    }

    totalPath = directories.getMachineDateFullPath ( Smartmatic::SAES::Common::Configuration::BasePathType::CONFIGURATION_BACKUP );

    if ( File::getInstance()->readFile ( totalPath, date ) )
    {
        return date;
    }

    return "";
}

void MachineDate::setMachineDate ( std::string & date )
{
    SafeBuffer buffer ( date );
    Smartmatic::SAES::Runtime::Environment::SaesDirectories directories;
    std::string totalPath = directories.getMachineDateFullPath();
    File::getInstance()->saveBufferToFile ( buffer, totalPath );
    totalPath = directories.getMachineDateFullPath ( Smartmatic::SAES::Common::Configuration::BasePathType::CONFIGURATION_FLASH );
    File::getInstance()->saveBufferToFile ( buffer, totalPath );
    totalPath = directories.getMachineDateFullPath ( Smartmatic::SAES::Common::Configuration::BasePathType::CONFIGURATION_BACKUP );
    File::getInstance()->saveBufferToFile ( buffer, totalPath );
    MachineOperationManager::getInstance()->getOperationStatus()->getVotingMachineStatusWrapper()->setDate ( date );
}

