/*
 * EurnMonitor.cxx
 *
 *  Created on: Oct 25, 2017
 *      Author: juanvalera
 */
#include "EurnMonitor.hxx"
#include <Operation/Devices/EurnController.hxx>
#include <Log/ISMTTLog.h>
#include <Log/SMTTLogManager.h>
#include <unistd.h>
#include <Configuration/s-a-e-s-functionality-conf-manager.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

using namespace Smartmatic::SAES::Operation::Monitor;
using namespace Smartmatic::SAES::Operation::Devices;
using namespace Smartmatic::Log;
using namespace Smartmatic::SAES::Common::Configuration;
using namespace Smartmatic::SAES::Functionality::Configuration;

ISMTTLog * EurnMonitor::logger = SMTTLogManager::GetLogger ( "Smartmatic.SAES.Operation.EurnMonitor", GETTEXT_PACKAGE );

EurnMonitor::EurnMonitor()
    : DeviceTypeMonitor ( DeviceType::CONFIGURATION_EURN )
{

}

EurnMonitor::~EurnMonitor()
{

}

void EurnMonitor::added ( const std::string & node )
{
    logger->Debug ( "Added " + node );
    EurnController::getInstance()->open ( node );
}

void EurnMonitor::removed ( const std::string & node )
{
    logger->Debug ( "Removed " + node );
    EurnController::getInstance()->close();
}

std::string EurnMonitor::getDeviceMounted ( const std::string & node, const std::string & customNode )
{
    usleep ( 250000 );
    return customNode;
}



