/**
 * @file P168AMonitor.cxx
 * @brief Implementation of the P168AMonitor class.
 * @date 06/07/2015
 * @author Yadickson Soto
 */


#include "P168AMonitor.hxx"
#include <Log/ISMTTLog.h>
#include <Log/SMTTLogManager.h>
#include <Operation/Devices/P168AController.hxx>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

using namespace Smartmatic::SAES::Operation::Monitor;
using namespace Smartmatic::SAES::Operation::Devices;
using namespace Smartmatic::Log;

ISMTTLog * P168AMonitor::logger = SMTTLogManager::GetLogger ( "Smartmatic.SAES.Operation.P168AMonitor", GETTEXT_PACKAGE );

P168AMonitor::P168AMonitor()
    : DeviceTypeMonitor ( Smartmatic::SAES::Common::Configuration::DeviceType::CONFIGURATION_P168A )
{

}

P168AMonitor::~P168AMonitor()
{

}

void P168AMonitor::added ( const std::string & node )
{
    logger->Debug ( "Added " + node );
    P168AController::getInstance()->open ( node );
}

void P168AMonitor::removed ( const std::string & node )
{
    logger->Debug ( "Removed " + node );
    P168AController::getInstance()->close ();
}

std::string P168AMonitor::getDeviceMounted ( const std::string & node, const std::string & customNode )
{
    return customNode;
}
