/*
 * VotePersistence.hxx
 *
 * @author	Gustavo Garcia
 * @date	30/01/2017
 */

#ifndef _VOTE_PERSISTENCE_HXX_
#define _VOTE_PERSISTENCE_HXX_

#include <Voting/Vote/vote-schema.hxx>

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }

    namespace SAES
    {
        namespace Operation
        {
            namespace Voting
            {

                class VotePersistence
                {
                    public:

                        /**
                         * @enum	PersistenceStatusVote
                         * @brief	Values that represent PersistenceStatusVote.
                         */
                        enum PersistenceStatusVote
                        {
                            PERSISTENCE_VOTE_FAIL,
                            PERSISTENCE_VOTE_SUCCESS,
                            PERSISTENCE_VOTE_DUPLICATE
                        };

                        VotePersistence ( Smartmatic::SAES::Voting::Vote::Vote * vote );
                        virtual ~VotePersistence();


                        /**
                         * @fn	PersistenceStatusVote saveVote ();
                         * @brief	method for persistence vote.
                         * @author	Yadickson Soto
                         * @date	05/08/2015
                         * @return	status of persistence vote
                         */
                        virtual PersistenceStatusVote saveVote ();

                    private:

                        Smartmatic::SAES::Voting::Vote::Vote * vote; ///< The vote to save
                        static Smartmatic::Log::ISMTTLog * logger;  ///< The logger
                };

            }
        } /* namespace Operation */
    } /* namespace SAES */
} /* namespace Smartmatic */

#endif /* _VOTE_PERSISTENCE_HXX_ */
