/**
 * @file MockEthernetMonitor.hxx
 * @date 02/06/2015
 * @author Yadickson Soto
 */

#ifndef MOCK_ETHERNET_MONITOR_HXX_
#define MOCK_ETHERNET_MONITOR_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Operation/Monitor/EthernetMonitor.hxx>

class MockEthernetMonitor : public Smartmatic::SAES::Operation::Monitor::EthernetMonitor,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockEthernetMonitor ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockEthernetMonitor" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getInterface )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getNumberOfDevices )
        {
        }

        virtual ~MockEthernetMonitor ()
        {
        }

        MOCKPP_CHAINABLE0 ( MockEthernetMonitor, std::string, getInterface );
        MOCKPP_CHAINABLE0 ( MockEthernetMonitor, unsigned int, getNumberOfDevices );
};

#endif /* MOCK_ETHERNET_MONITOR_HXX_ */
