/**
 * @file	saes-gui-language-controller.h
 * @brief	Declares the saes graphical user interface language controller class.
 * @author	Youssef.tourkmani
 * @date	01/11/2012
 */


#ifndef _SAESGUI_LANGUAGE_CONTROLLER_H_
#define _SAESGUI_LANGUAGE_CONTROLLER_H_

#include "Environment/Configurations/BaseLanguageConfiguration.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Configuration
            {
                /**
                 * @class	SAESGUILanguageController
                 * @brief	Saesgui language controller.
                 * @author	Fsilva
                 * @date	28/04/2011
                 */

                class SAESGUILanguageController: public Smartmatic::Environment::BaseLanguageConfiguration
                {
                    public:

                        /**
                         * @fn	std::string SAESGUILanguageController::getPackageName();
                         * @brief	Gets the package name.
                         * @author	Fsilva
                         * @date	28/04/2011
                         * @return	The package name.
                         */

                        std::string getPackageName();

                        /**
                         * @fn	std::string SAESGUILanguageController::getLocaleDir();
                         * @brief	Gets the locale dir.
                         * @author	Fsilva
                         * @date	28/04/2011
                         * @return	The locale dir.
                         */

                        std::string getLocaleDir();

                        /**
                         * @fn	SAESGUILanguageController::SAESGUILanguageController();
                         * @brief	Default constructor.
                         * @author	Fsilva
                         * @date	28/04/2011
                         */

                        SAESGUILanguageController();

                        /**
                         * @fn	virtual SAESGUILanguageController::~SAESGUILanguageController();
                         * @brief	Finaliser.
                         * @author	Fsilva
                         * @date	28/04/2011
                         */

                        virtual ~SAESGUILanguageController();
                };
            }
        }
    }
}

#endif // _SAESGUI_LANGUAGE_CONTROLLER_H_
