/*
 * RecountFunctionality.h
 *
 *  Created on: Apr 24, 2013
 *      Author: Georgi Demirchev
 */

#ifndef RECOUNTFUNCTIONALITY_H_
#define RECOUNTFUNCTIONALITY_H_

#include <gtkmm.h>
#include <string>
#include <Functionalities/graphic-display-functionality.h>
#include <Functionalities/RecountFunctionalityController.h>
#include <Gui/Widgets/RecountWidget.h>
#include <Operation/Voting/VotePersistence.hxx>
#include <map>
#include <set>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Functionality
            {

                class RecountFunctionality : public GraphicDisplayFunctionality
                {

                    private:
                        /**
                         * Constructor, private
                         */
                        RecountFunctionality();
                        static RecountFunctionality * current_instance; ///< pointer to self
                        Smartmatic::SAES::GUI::Widgets::RecountWidget * widget; ///< The widget
                        RecountFunctionalityController controller;//< The controller

                    public:
                        /**
                         * Destructor
                         */
                        virtual ~RecountFunctionality();

                        /**
                         * Reimplemented virtual functions
                         */
                        virtual Smartmatic::SAES::Functionality::Configuration::MenuOptionType GetMenuOptionType();

                        virtual  Gtk::Widget * GetFrame();
                        virtual void Dispose();
                        virtual void Initialize();
                        virtual Smartmatic::Log::ISMTTLog * getLogger();
                        virtual Glib::ustring getStartLogMessage();
                        virtual Glib::ustring getFinishLogMessage();
                        virtual void deleteElements();
                        virtual std::string GetWindowTitle();

                        /**
                         * returns access to self
                         */
                        static RecountFunctionality * getInstance();

                    protected:

                        /**
                         * Gets the job done and exits
                         */
                        void Exit();

                };

            } /* namespace Functionality */
        } /* namespace GUI */
    } /* namespace SAES */
} /* namespace Smartmatic */
#endif /* RECOUNTFUNCTIONALITY_H_ */
