/**
 * @file	BarcodeDetectionWidgetController.h
 * @brief	Declares the barcode detection widget controller class.
 * @author	Juan Valera
 * @date	03/02/2017
 */


#ifndef BARCODEDETECTIONWIDGETCONTROLLER_H_
#define BARCODEDETECTIONWIDGETCONTROLLER_H_

#include <System/SafeDispatcher.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	BarcodeDetectionWidgetController
                 * @brief	Barcode detection widget controller.
                 * @author	Juan Valera
                 * @date	03/01/2017
                 */
                class BarcodeDetectionWidgetController
                {
                    public:
                        /**
                         * @fn	BarcodeDetectionWidgetController::BarcodeDetectionWidgetController ( );
                         * @brief	Default constructor.
                         * @author	Juan Valera
                         * @date	03/02/2017
                         */
                        BarcodeDetectionWidgetController ( );

                        /**
                         * @fn	virtual BarcodeDetectionWidgetController::~BarcodeDetectionWidgetController();
                         * @brief	Default finalizer.
                         * @author	Juan Valera
                         * @date	03/02/2017
                         */
                        virtual ~BarcodeDetectionWidgetController();

                        /**
                         * @fn	    virtual bool process (Smartmatic::System::SafeDispatcher &safeDispatcher);
                         * @brief	Callback from thread one time. Send reconfigure parameters.
                         * @author	Juan Valera
                         * @date	03/02/2017
                         * @return false, only one time
                         * @param	safe dispatcher.
                         */
                         virtual bool process (Smartmatic::System::SafeDispatcher& safeDispatcher);

                };
            }
        }
    }
}

#endif /* BARCODEDETECTIONWIDGETCONTROLLER_H_ */
