/**
 * @file AbleA4517ButtonWidget.hxx
 * @brief Header class able a4517 widget
 * @date 22/01/2018
 * @author eduardo.fernandez
 */

#ifndef ABLE_A4517_BUTTON_WIDGET_HXX
#define ABLE_A4517_BUTTON_WIDGET_HXX

#include "IAbleButtonWidget.hxx"

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }

    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	AbleA4517ButtonWidget
                 * @brief	Class able a4517 widget.
                 * @author	eduardo.fernandez
                 * 					@see IAbleWidget
                 * @date	22/01/2018
                 */
                class AbleA4517ButtonWidget : public IAbleButtonWidget
                {
                    public:
                        /**
                         * @fn	AbleP168AButtonWidget::AbleA4517ButtonWidget();
                         * @brief	Class constructor.
                         * @author	eduardo.fernandez
                         * @date	22/01/2018
                         */
                        AbleA4517ButtonWidget();
                        /**
                         * @fn	virtual AbleP168AButtonWidget::~AbleP168AButtonWidget();
                         * @brief	Class destructor.
                         * @author	eduardo.fernandez
                         * @date	22/01/2018
                         */
                        virtual ~AbleA4517ButtonWidget();

                    private:
                        /**
                         * @fn	void AbleP168AButtonWidget::initialize();
                         * @brief	Method initialize widget.
                         * @author	eduardo.fernandez
                         * @date	22/01/2018
                         */
                        void initialize();

                        static Smartmatic::Log::ISMTTLog * logger;  ///< logger
                };
            }
        }
    }
}
#endif /* ABLE_A4517_BUTTON_WIDGET_HXX */
