/*
 * AlarmBoxDiagnoseStepWidget.hxx
 *
 *  Created on: 16/10/2013
 *      Author: soto
 */

#ifndef ALARMBOXDIAGNOSESTEPWIDGET_HXX_
#define ALARMBOXDIAGNOSESTEPWIDGET_HXX_

#include <Widgets/StepWidget.hxx>
#include <Widgets/SmartmaticBasicFrame.hxx>
#include <Widgets/SmartmaticBasicLabel.hxx>
#include <Widgets/SmartmaticBasicImage.hxx>
#include <Widgets/SmartmaticBasicTable.hxx>
#include <Widgets/SmartmaticBasicVBox.hxx>
#include <Widgets/SmartmaticBasicHBox.hxx>
#include <Widgets/SmartmaticRadioButton.hxx>
#include <Widgets/SmartmaticRadioButtonHorizontalGroup.hxx>
#include <Configuration/label-configuration.h>

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }

    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {

                class AlarmBoxDiagnoseStepWidget : public Smartmatic::GUI::Widgets::StepWidget
                {
                    public:

                        explicit AlarmBoxDiagnoseStepWidget ( Gtk::Widget * container = NULL );
                        virtual ~AlarmBoxDiagnoseStepWidget();

                        void setTextConteiner ( const std::string & textContainer );
                        void setTextOptions ( const std::string & textOptions, const std::string & textOk, const std::string & textNOk );
                        void setSensitive ( bool sensitiveOk = true, bool sensitiveNOk = true );
                        void clearOption();

                        void setLabelConfiguration ( Smartmatic::GUI::Configuration::LabelConfiguration & labelConf );

                        bool getOption();

                        bool isCheck();

                        void viewOptions ( bool view = true );

                        sigc::signal<void> getSignalChange();

                    protected:

                        sigc::signal<void> signalChange; ///< signal change

                        void onSignalChange ( Smartmatic::GUI::Widgets::SmartmaticRadioButton * radioButton );

                    private:

                        Smartmatic::GUI::Widgets::SmartmaticBasicFrame * mainFrame; ///< The main frame
                        Smartmatic::GUI::Widgets::SmartmaticBasicVBox * vbox; ///< The vbox
                        Smartmatic::GUI::Widgets::SmartmaticBasicHBox * hbox; ///< The hbox

                        Smartmatic::GUI::Widgets::SmartmaticBasicLabel * textContainer; ///< The text container
                        Smartmatic::GUI::Widgets::SmartmaticBasicLabel * textOptions; ///< The text options
                        Smartmatic::GUI::Widgets::SmartmaticBasicImage * image; ///< The radio button ok option
                        Smartmatic::GUI::Widgets::SmartmaticBasicFrame * frameContainer; ///< The frame container

                        Smartmatic::GUI::Widgets::SmartmaticRadioButton * okOption; ///< The radio button ok option
                        Smartmatic::GUI::Widgets::SmartmaticRadioButton * nokOption; ///< The radio button nok option
                        Smartmatic::GUI::Widgets::SmartmaticRadioButton * dummyOption; ///< The hide option
                        Smartmatic::GUI::Widgets::SmartmaticRadioButtonHorizontalGroup * buttonGroup; ///< The radio button horizontal group

                        static Smartmatic::Log::ISMTTLog * logger;  ///< logger
                };
            } /* namespace Widgets */
        } /* namespace GUI */
    } /* namespace SAES */
} /* namespace Smartmatic */
#endif /* ALARMBOXDIAGNOSESTEPWIDGET_HXX_ */
