/**
 * @file	AutoBarcodeDiagnosisWidget.hxx
 * @brief	automatic barcode diagnostic widget class.
 * @author	Yadickson Soto
 * @date	20/06/2013
 */

#ifndef AUTOBARCODEDIAGNOSTICWIDGET_HXX_
#define AUTOBARCODEDIAGNOSTICWIDGET_HXX_

#include <Gui/Widgets/ProgressWidget.hxx>
#include "AutoDiagnosisBaseWidget.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	AutoBarcodeDiagnosisWidget
                 * @brief	Automatic barcode diagnostic widget.
                 * @author	Yadickson Soto
                 * @date	20/06/2013
                 */
                class AutoBarcodeDiagnosisWidget : public AutoDiagnosisBaseWidget
                {
                    public:
                        /**
                         * @fn	AutoBarcodeDiagnosisWidget::AutoBarcodeDiagnosisWidget ( ProgressWidget * progress );
                         * @brief	Constructor.
                         * @author	Yadickson Soto
                         * @date	20/06/2013
                         * @param [in,out]	progress	If non-null, the progress.
                         */
                        explicit AutoBarcodeDiagnosisWidget ( ProgressWidget * progress );
                        /**
                         * @fn	virtual AutoBarcodeDiagnosisWidget::~AutoBarcodeDiagnosisWidget();
                         * @brief	Destructor.
                         * @author	Yadickson Soto
                         * @date	20/06/2013
                         */
                        virtual ~AutoBarcodeDiagnosisWidget();
                };
            }
        }
    }
}

#endif /* AUTOBARCODEDIAGNOSTICWIDGET_HXX_ */
