/**
 * @file	DiagnosticsInfoWidget.hxx
 * @brief	Diagnostics Info widget class.
 * @author	Yadickson Soto
 * @date	15/01/2014
 */

#ifndef DIAGNOSTICS_INFO_WIDGET_HXX_
#define DIAGNOSTICS_INFO_WIDGET_HXX_

#include <Widgets/StepWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	DiagnosticsInfoWidget
                 * @brief	Diagnostic Info Widget
                 * @author	Yadickson Soto
                 * @date	15/01/2014
                 */
                class DiagnosticsInfoWidget : public Smartmatic::GUI::Widgets::StepWidget
                {
                    public:
                        /**
                         * @fn	DiagnosticsInfoWidget();
                         * @brief	Default constructor.
                         * @author	Yadickson Soto
                         * @date	15/01/2014
                         */
                        DiagnosticsInfoWidget ();
                        /**
                         * @fn	virtual ~DiagnosticsInfoWidget();
                         * @brief	Class destructor.
                         * @author	Yadickson Soto
                         * @date	15/01/2014
                         */
                        virtual ~DiagnosticsInfoWidget();
                        /**
                         * @fn	void start();
                         * @brief	Configures the widget, starts the message display timer.
                         * @author	Yadickson Soto
                         * @date	15/01/2014
                         */
                        void start();

                    private:

                        /**
                         * @fn	void end();
                         * @brief	Callback end process by timeout
                         * @author	Yadickson Soto
                         * @date	15/01/2014
                         */
                        void end();
                };
            }
        }
    }
}

#endif /* DIAGNOSTICS_INFO_WIDGET_HXX_ */
