/*
 * LedStripEndDiagnoseWidget.cxx
 *
 *  Created on: Nov 8, 2017
 *      Author: juanvalera
 */

#include "LedStripEndDiagnoseWidget.hxx"
#include <Log/ISMTTLog.h>
#include <Log/SMTTLogManager.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::SAES::GUI::Widgets;
using namespace Smartmatic::Log;
using namespace Smartmatic::GUI::Widgets;

ISMTTLog * LedStripEndDiagnoseWidget::logger = SMTTLogManager::GetLogger ( "Smartmatic.SAES.GUI.Widgets.LedStripEndDiagnoseWidget", GETTEXT_PACKAGE );

LedStripEndDiagnoseWidget::LedStripEndDiagnoseWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * widget )
    : StepWidget (), widget ( widget )
{
    widget->setImage ( "ui/led-strip-mv.gif" );
    setWidget ( widget );
}

LedStripEndDiagnoseWidget::~LedStripEndDiagnoseWidget()
{
    remove();

    if ( widget )
    {
        delete widget;
        widget = NULL;
    }
}

void LedStripEndDiagnoseWidget::showSuccess()
{
    widget->setInfoText ( N_ ( "LED Strip Diagnostic successful" ) );
}

void LedStripEndDiagnoseWidget::showError()
{
    widget->setInfoText ( N_ ( "LED Strip Diagnostic failed" ) );

}
