/**
 * @file	PMPollingPlaceInfoWidget.hxx
 * @brief	pm polling place information widget class.
 * @author	Youssef.tourkmani
 * @date	01/11/2012
 */


#ifndef PMPOLLINGPLACEINFOWIDGET_HXX_
#define PMPOLLINGPLACEINFOWIDGET_HXX_

#include "PollingPlaceInfoWidget.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	PMPollingPlaceInfoWidget
                 * @brief	Pm polling place information widget.
                 * @author	Youssef.tourkmani
                 * @date	01/11/2012
                 */
                class PMPollingPlaceInfoWidget : public PollingPlaceInfoWidget
                {
                    public:
                        /**
                         * @fn	PMPollingPlaceInfoWidget::PMPollingPlaceInfoWidget();
                         * @brief	Default constructor.
                         * @author	Youssef.tourkmani
                         * @date	01/11/2012
                         */
                        PMPollingPlaceInfoWidget();
                        /**
                         * @fn	virtual PMPollingPlaceInfoWidget::~PMPollingPlaceInfoWidget();
                         * @brief	Destructor.
                         * @author	Youssef.tourkmani
                         * @date	01/11/2012
                         */
                        virtual ~PMPollingPlaceInfoWidget();
                        /**
                         * @fn	virtual void PMPollingPlaceInfoWidget::fillKey();
                         * @brief	Fill key.
                         * @author	Youssef.tourkmani
                         * @date	01/11/2012
                         */
                        virtual void fillKey();
                };
            }
        }
    }
}

#endif /* PMPOLLINGPLACEINFOWIDGET_HXX_ */
