#include "RecountResultFieldButton.h"
#include "RecountStatPage.h"
#include "ConfigBridge.h"

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Recount
                {

                    using namespace Smartmatic::GUI::Widgets;

                    RecountResultFieldButton::RecountResultFieldButton ( ClickAbsorber * session, bool isLast, int x, int y )
                        : m_isLast ( isLast ), m_data ( 0 ), m_x ( x ), m_y ( y ), m_session ( session ), m_state ( ClickAbsorber::RELEASED )
                    {
                        set_can_focus ( false );
                        SetState ( m_state );
                    }

                    RecountResultFieldButton::~RecountResultFieldButton()
                    {
                    }

                    void RecountResultFieldButton::SetState ( ClickAbsorber::STATE state )
                    {
                        switch ( state )
                        {
                            case ClickAbsorber::PUSHED:
                                {
                                    set_name ( "RecountResultFieldButtonPushed" );
                                }
                                break;

                            case ClickAbsorber::RELEASED:
                                {
                                    set_name ( "RecountResultFieldButtonReleased" );
                                }
                                break;

                            case ClickAbsorber::TRANSITIONAL:
                                {
                                    set_name ( "RecountResultFieldButtonTransitional" );
                                }
                                break;

                            default:
                                break;
                        }

                        m_state = state;
                    }

                    ClickAbsorber::STATE RecountResultFieldButton::GetState()
                    {
                        return m_state;
                    }

                    void RecountResultFieldButton::on_clicked ()
                    {
                        bool propagate = false;

                        if ( ConfigBridge::levelOfSelection == 1 )
                        {
                            propagate = true;
                        }
                        else if ( ( ConfigBridge::levelOfSelection == 2 && !m_isLast &&
                                    ( ( size_t ) m_x == RecountStatPage::subtotalFoundIndex || ( size_t ) m_x == RecountStatPage::subtotalNotFoundIndex
                                      || ( size_t ) m_x == RecountStatPage::totalIndex ) ) )
                        {
                            propagate = true;
                        }
                        else if ( ( ConfigBridge::levelOfSelection == 3 && m_isLast &&
                                    ( ( size_t ) m_x == RecountStatPage::subtotalFoundIndex || ( size_t ) m_x == RecountStatPage::subtotalNotFoundIndex
                                      || ( size_t ) m_x == RecountStatPage::totalIndex ) ) )
                        {
                            propagate = true;
                        }

                        if ( propagate )
                        {
                            m_session->OnStatusChanged ( m_x, m_y, m_state );
                        }
                    }

                    void RecountResultFieldButton::on_enter ()
                    {
                        // Not calling parent handler - disabled
                    }

                    void RecountResultFieldButton::on_leave ()
                    {
                        // Not calling parent handler - disabled
                    }

                    int RecountResultFieldButton::getData()
                    {
                        return m_data;
                    }

                    void RecountResultFieldButton::setData ( int d )
                    {
                        m_data = d;
                    }

                }
            }
        }
    }
}
