/**
 * @file ReferendumButtonWidget.hxx
 * @brief Header class ballot option button widget
 * @date 12/03/2012
 * @author Yadickson Soto
 */

#ifndef REFERENDUMBUTTONWIDGET_HXX_
#define REFERENDUMBUTTONWIDGET_HXX_

#include <Widgets/ButtonsWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	ReferendumButtonWidget
                 * @brief	Class ReferendumButtonWidget.
                 * @author	Yadickson Soto
                 * @date	12/03/2012
                 */
                class ReferendumButtonWidget : public Smartmatic::GUI::Widgets::ButtonsWidget
                {
                    public:
                        /**
                         * @fn	ReferendumButtonWidget::ReferendumButtonWidget ( bool expand = true );
                         * @brief	Class constructor.
                         * @author	Yadickson Soto
                         * @date	12/03/2012
                         * @param	expand	expand all button.
                         */
                        explicit ReferendumButtonWidget ( bool expand = true );
                        /**
                         * @fn	virtual ReferendumButtonWidget::~ReferendumButtonWidget();
                         * @brief	Class destructor.
                         * @author	Yadickson Soto
                         * @date	12/03/2012
                         */
                        virtual ~ReferendumButtonWidget();
                        /**
                         * @fn	void ReferendumButtonWidget::update();
                         * @brief	method update button.
                         * @author	Yadickson Soto
                         * @date	12/03/2012
                         */
                        void update();
                };
            }
        }
    }
}

#endif /* REFERENDUMBUTTONWIDGET_HXX_ */
