/**
 * @file ReferendumTableWidget.cxx
 * @brief Body class ballot option button widget
 * @date 13/03/2012
 * @author Yadickson Soto
 */

#include "ReferendumTableWidget.hxx"
#include "FillTableWidget.hxx"
#include "referendum-widget.h"
#include "Configuration/s-a-e-s-g-u-i-conf-manager.h"

using namespace Smartmatic::SAES::GUI::Widgets;
using namespace Smartmatic::SAES::Voting::Election;
using namespace Smartmatic::GUI::Widgets;
using namespace Smartmatic::SAES::GUI::Configuration;

ReferendumTableWidget::ReferendumTableWidget ( TableBoxSelectionWidget * tableWidget )
    : SmartmaticBasicEventBox()
{
    this->tableWidget = tableWidget;
    this->row = 0;
    this->column = 0;
    int spacing = SAESGUIConfigurationManager::getInstance()->GetReferendumConfiguration().getBallotBoxSpacing();
    tableWidget->setSpacings ( spacing, spacing );
    this->add ( *tableWidget );
    this->show_all_children();
    this->show();

    tableWidget->setAccessibleName ( "ReferendumTableCenterWidget" );
    setAccessibleName ( "ReferendumTableWidget" );
}

ReferendumTableWidget::~ReferendumTableWidget()
{
    this->remove();

    if ( tableWidget )
    {
        delete tableWidget;
        tableWidget = NULL;
    }
}

void ReferendumTableWidget::addWidget ( BoxSelectionWidget * widget )
{
    tableWidget->put ( widget, row, column );
    static int pivot = SAESGUIConfigurationManager::getInstance()->GetReferendumConfiguration().getButtonsPivot();

    if ( SAESGUIConfigurationManager::getInstance()->GetReferendumConfiguration().getButtonsVertical() )
    {
        row++;

        if ( row == pivot )
        {
            row = 0;
            column++;
        }
    }
    else
    {
        column++;

        if ( column == pivot )
        {
            column = 0;
            row++;
        }
    }
}

void ReferendumTableWidget::clear()
{
    this->row = 0;
    this->column = 0;
    tableWidget->clear();
}

Smartmatic::GUI::Widgets::TableBoxSelectionWidget * ReferendumTableWidget::getTableWidget()
{
    return tableWidget;
}
