/**
 * @file RunMachineWidget.hxx
 * @brief Header machine wizard widget
 * @date 31/03/2012
 * @author Yadickson Soto
 */

#ifndef RUMMACHINEWIDGET_HXX_
#define RUMMACHINEWIDGET_HXX_

#include <Widgets/StepWidget.hxx>

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	RunMachineWidget
                 * @brief	Class machine wizard widget.
                 * @author	Yadickson Soto
                 * @date	31/03/2012
                 */
                class RunMachineWidget : public Smartmatic::GUI::Widgets::StepWidget
                {
                    public:
                        /**
                         * @fn	RunMachineWidget::RunMachineWidget();
                         * @brief	Class constructor.
                         * @author	Yadickson Soto
                         * @date	31/03/2012
                         */
                        RunMachineWidget();
                        /**
                         * @fn	virtual RunMachineWidget::~RunMachineWidget();
                         * @brief	Class destructor.
                         * @author	Yadickson Soto
                         * @date	31/03/2012
                         */
                        virtual ~RunMachineWidget();
                        /**
                         * @fn	virtual void RunMachineWidget::start() = 0;
                         * @brief	method start.
                         * @author	Yadickson Soto
                         * @date	30/03/2012
                         */
                        virtual void start() = 0;

                    protected:
                        /**
                         * @fn	virtual void RunMachineWidget::blockMachine();
                         * @brief	method block widget.
                         * @author	Yadickson Soto
                         * @date	30/03/2012
                         */
                        virtual void blockMachine();
                };
            }
        }
    }
}

#endif /* RUMMACHINEWIDGET_HXX_ */
