/**
 * @file	VMAuthenticationPollingPlaceInfoWidget.hxx
 * @brief	voting machine authentication polling place information widget class.
 * @author	Youssef.tourkmani
 * @date	01/11/2012
 */


#ifndef VMAUTHENTICATIONPOLLINGPLACEINFOWIDGET_HXX_
#define VMAUTHENTICATIONPOLLINGPLACEINFOWIDGET_HXX_

#include "PollingPlaceInfoWidget.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	VMAuthenticationPollingPlaceInfoWidget
                 * @brief	Virtual memory authentication polling place information widget.
                 * @author	Youssef.tourkmani
                 * @date	01/11/2012
                 */
                class VMAuthenticationPollingPlaceInfoWidget : public PollingPlaceInfoWidget
                {
                    public:
                        /**
                         * @fn	VMAuthenticationPollingPlaceInfoWidget::VMAuthenticationPollingPlaceInfoWidget();
                         * @brief	Default constructor.
                         * @author	Youssef.tourkmani
                         * @date	01/11/2012
                         */
                        VMAuthenticationPollingPlaceInfoWidget();
                        /**
                         * @fn	virtual VMAuthenticationPollingPlaceInfoWidget::~VMAuthenticationPollingPlaceInfoWidget();
                         * @brief	Destructor.
                         * @author	Youssef.tourkmani
                         * @date	01/11/2012
                         */
                        virtual ~VMAuthenticationPollingPlaceInfoWidget();
                        /**
                         * @fn	virtual void VMAuthenticationPollingPlaceInfoWidget::fillKey();
                         * @brief	Fill key.
                         * @author	Youssef.tourkmani
                         * @date	01/11/2012
                         */
                        virtual void fillKey();
                };
            }
        }
    }
}

#endif /* VMAUTHENTICATIONPOLLINGPLACEINFOWIDGET_HXX_ */
