/**
 * @file	KeypadVotingPasswordWidget.hxx
 * @brief	Key pad password widget.
 * @author	Yadickson Soto
 * @date	17/04/2012
 */

#ifndef _KEY_PAD_VOTING_PASSWORD_WIDGET_H_
#define _KEY_PAD_VOTING_PASSWORD_WIDGET_H_

#include <Gui/Widgets/VMAuthenticationWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Voting
                {
                    /**
                     * @class	KeypadVotingPasswordWidget
                     * @brief	Key pad password widget.
                     * @author	Yadickson Soto
                     * @date	17/04/2012
                     */
                    class KeypadVotingPasswordWidget: public Smartmatic::SAES::GUI::Widgets::VMAuthenticationWidget
                    {

                        public:

                            /**
                             * @fn	KeypadVotingPasswordWidget::KeypadVotingPasswordWidget();
                             * @brief	Class constructor.
                             * @author	Yadickson Soto
                             * @date	17/04/2012
                             */
                            KeypadVotingPasswordWidget();
                            /**
                             * @fn	virtual KeypadVotingPasswordWidget::~KeypadVotingPasswordWidget();
                             * @brief	Class destructor.
                             * @author	Yadickson Soto
                             * @date	17/04/2012
                             */
                            virtual ~KeypadVotingPasswordWidget();
                            /**
                             * @fn	sigc::signal<void> KeypadVotingPasswordWidget::getSignalOk();
                             * @brief	method getter signal ok.
                             * @author	Yadickson Soto
                             * @date	22/04/2012
                             * @return	signal.
                             */
                            sigc::signal<void> getSignalOk();
                            /**
                             * @fn  void KeypadVotingPasswordWidget::refreshInfoLabelText();
                             * @brief   method refresher info label text
                             * @author  Eduardo Fernández
                             * @date    28/03/2018
                             */
                            void refreshInfoLabelText();

                        protected:

                            sigc::signal<void> signalOk; ///< signal password ok
                            Gtk::Label * infoLabel; ///< info label

                        protected:

                            /**
                             * @fn	virtual void KeypadVotingPasswordWidget::checkPassword();
                             * @brief	method check password.
                             * @author	Yadickson Soto
                             * @date	17/04/2012
                             */
                            virtual void checkPassword();
                    };
                }
            }
        }
    }
}

#endif // _KEY_PAD_VOTING_PASSWORD_WIDGET_H_
