/**
 * @file   PrintAudioVoteWidget.hxx
 * @brief  Declaration of PrintAudioVoteWidget class.
 * @author manuel.arguelles
 * @date   Jan 31, 2018
 */


#ifndef PRINT_AUDIO_VOTE_WIDGET_HXX
#define PRINT_AUDIO_VOTE_WIDGET_HXX

#include <Gui/Widgets/Voting/IPrintVoteWidget.hxx>
#include <Widgets/SmartmaticBasicImage.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Voting
                {
                    class PrintVoteErrorWidget;

                    /**
                     * @class	PrintAudioVoteWidget
                     * @brief	Class end print vote widget.
                     * @author	Yadickson Soto
                     * @date	20/03/2013
                     */
                    class PrintAudioVoteWidget : public IPrintVoteWidget
                    {
                        public:

                            /**
                             * @brief	Class constructor.
                             * @author	Yadickson Soto
                             * @date	20/03/2013
                             * @param   printVoteErrorWidget print vote error
                             */
                            explicit PrintAudioVoteWidget(
                                PrintVoteErrorWidget * printVoteErrorWidget,
                                VoteComplianceFailureWidget * voteComplianceFailureWidget);

                            /**
                             * @brief	Class destructor.
                             * @author	Yadickson Soto
                             * @date	20/03/2013
                             */
                            virtual ~PrintAudioVoteWidget();

                            /**
                             * @brief	refresh widget method.
                             * @author	Yadickson Soto
                             * @date	20/03/2013
                             */
                            virtual void refresh();

                        private:

                            Smartmatic::GUI::Widgets::SmartmaticBasicImage m_image;
                    };
                }
            }
        }
    }
}

#endif /* PRINT_AUDIO_VOTE_WIDGET_HXX */
