/**
 * @file PrintTimeOutWidget.hxx
 * @brief Header class print timeout widget
 * @date 29/02/2012
 * @author Yadickson Soto
 */

#ifndef PRINTTIMEOUTWIDGET_HXX_
#define PRINTTIMEOUTWIDGET_HXX_

#include <Gui/Widgets/ProgressWidget.hxx>
#include <Widgets/StepWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Voting
                {
                    /**
                     * @class	PrintTimeOutWidget
                     * @brief	Class print time out widget.
                     * @author	Yadickson Soto
                     * @date	29/02/2012
                     */
                    class PrintTimeOutWidget : public Smartmatic::GUI::Widgets::StepWidget
                    {
                        public:

                            /**
                             * @fn	PrintTimeOutWidget::PrintTimeOutWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                             * @brief	Class constructor.
                             * @author	Yadickson Soto
                             * @date	29/02/2012
                             * @param	progress	progress widget.
                             */
                            explicit PrintTimeOutWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                            /**
                             * @fn	virtual PrintTimeOutWidget::~PrintTimeOutWidget();
                             * @brief	Class destructor.
                             * @author	Yadickson Soto
                             * @date	29/02/2012
                             */
                            virtual ~PrintTimeOutWidget();
                            /**
                             * @fn	virtual void PrintTimeOutWidget::refresh();
                             * @brief	refresh widget method.
                             * @author	Yadickson Soto
                             * @date	30/03/2012
                             */
                            virtual void refresh();
                            /**
                             * @fn	void PrintTimeOutWidget::setText ( std::string text );
                             * @brief	method setter text.
                             * @author	Yadickson Soto
                             * @date	29/02/2012
                             * @param	text	new text.
                             */
                            void setText ( std::string text );

                        private:

                            Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress; ///< principal frame
                    };
                }
            }
        }
    }
}

#endif /* PRINTTIMEOUTWIDGET_HXX_ */
