/**
 * @file	close-election-confirmation-widget.h
 * @brief	Declares the close election confirmation widget class.
 * @author	Youssef.tourkmani
 * @date	01/11/2012
 */


#ifndef _CLOSE_ELECTION_CONFIRMATION_WIDGET_H_
#define _CLOSE_ELECTION_CONFIRMATION_WIDGET_H_

#include <gtkmm.h>
#include <Widgets/wizard-widget-base.h>
#include <Widgets/SmartmaticBasicLabel.hxx>

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	CloseElectionConfirmationWidget
                 * @brief	Confirmation for close election.
                 * @author	Juan.delgado
                 * @date	07/07/2011
                 */

                class CloseElectionConfirmationWidget: public Smartmatic::GUI::Widgets::WizardWidgetBase
                {
                    public:

                        /**
                         * @fn	CloseElectionConfirmationWidget::CloseElectionConfirmationWidget();
                         * @brief	Default constructor.
                         * @author	Juan.delgado
                         * @date	07/07/2011
                         */

                        CloseElectionConfirmationWidget();

                        /**
                         * @fn	virtual CloseElectionConfirmationWidget::~CloseElectionConfirmationWidget();
                         * @brief	Destructor.
                         * @author	Juan.delgado
                         * @date	07/07/2011
                         */

                        virtual ~CloseElectionConfirmationWidget();
                        /**
                         * @fn	virtual void CloseElectionConfirmationWidget::initialize();
                         * @brief	Initializer method.
                         * @author	Yadickson Soto
                         * @date	08/03/2012
                         */
                        virtual void initialize();

                    private:

                        /**
                         * @fn	void CloseElectionConfirmationWidget::on_confirmButton_clicked();
                         * @brief	Handles confirm button signal.
                         * @author	Juan.delgado
                         * @date	07/07/2011
                         */
                        void on_confirmButton_clicked();

                        /**
                         * @fn	void CloseElectionConfirmationWidget::on_cancelButton_clicked();
                         * @brief	Handles cancel button signal.
                         * @author	Juan.delgado
                         * @date	07/07/2011
                         */
                        void on_cancelButton_clicked();

                        Smartmatic::GUI::Widgets::SmartmaticBasicLabel * label; ///< The label confirmation info
                        static Smartmatic::Log::ISMTTLog * logger;  ///< The logger
                };
            }
        }
    }
}

#endif // _CLOSE_ELECTION_CONFIRMATION_WIDGET_H_
