/**
 * @file   AbledEnableNotificationsCommand.cxx
 * @brief  Implementation of AbledEnableNotificationsCommand class.
 * @author eduardo.fernandez
 * @date   Jan 12, 2018
 */

#include "AbledEnableNotificationsCommand.hxx"
#include <Commands/DataCommandElement.hxx>

using namespace Smartmatic::SAES::HW::Commands;
using namespace Smartmatic::SAES::HW::Connections;

static const unsigned char COMMAND_MB            = 0x1B;
static const unsigned char COMMAND_ID            = 0xAC;
static const unsigned char ALL_NOTIFICATIONS     = 0xFF;
static const unsigned char UNUSED_BYTE           = 0x00;
static const unsigned char DISABLE_NOTIFICATIONS = 0x00;
static const unsigned char ENABLE_NOTIFICATIONS  = 0x01;

AbledEnableNotificationsCommand::AbledEnableNotificationsCommand(HW::Connections::IConnection* connection, const bool enableNotifications)
    : CommandBaseAbled(connection)
{
    hasResponse_ = true;
    m_enableNotifications = enableNotifications;
}

AbledEnableNotificationsCommand::~AbledEnableNotificationsCommand()
{
}

void AbledEnableNotificationsCommand::initialize()
{
    data.push_back(COMMAND_MB);
    data.push_back(COMMAND_ID);
    data.push_back(ALL_NOTIFICATIONS);
    data.push_back(UNUSED_BYTE);
    data.push_back((m_enableNotifications ? ENABLE_NOTIFICATIONS : DISABLE_NOTIFICATIONS));
}
