/*
 * AbledGetSerialNumberCommand.hxx
 *
 *  Created on: Jan 11, 2018
 *      Author: eduardo.fernandez
 */

#ifndef ABLED_GET_SERIAL_NUMBER_COMMAND_HXX
#define ABLED_GET_SERIAL_NUMBER_COMMAND_HXX

#include "CommandBaseAbled.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Connections
            {
                class IConnection;
            }

            namespace Commands
            {
                /**
                 * @class  AbledGetSerialNumberCommand
                 * @brief  Command to get the serial number from the Abled's EEPROM.
                 * @author eduardo.fernandez
                 * @date   Jan 11, 2018
                 */
                class AbledGetSerialNumberCommand : public CommandBaseAbled
                {
                    public:

                        /**
                         * @brief  Creates an instance of the class.
                         * @author eduardo.fernandez
                         * @date   Jan 11, 2018
                         */
                        explicit AbledGetSerialNumberCommand(HW::Connections::IConnection* connection);

                        /**
                         * @brief  Destroys an instance of the class.
                         * @author eduardo.fernandez
                         * @date   Jan 11, 2018
                         */
                        virtual ~AbledGetSerialNumberCommand();

                    private:

                        /**
                         * @brief  Initialize the command.
                         * @author eduardo.fernandez
                         * @date   Jan 11, 2018
                         */
                        virtual void initialize();

                    private:

                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */

#endif /* ABLED_GET_SERIAL_NUMBER_COMMAND_HXX */
