/*
 * AbledSetSerialNumberCommand.hxx
 *
 *  Created on: Jan 11, 2018
 *      Author: eduardo.fernandez
 */

#ifndef ABLED_SET_SERIAL_NUMBER_COMMAND_HXX
#define ABLED_SET_SERIAL_NUMBER_COMMAND_HXX

#include "CommandBaseAbled.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Connections
            {
                class IConnection;
            }

            namespace Commands
            {
                /**
                 * @class  AbledSetSerialNumberCommand
                 * @brief  Command to set the serial number of the machine in the abled's EEPROM.
                 * @author eduardo.fernandez
                 * @date   Jan 11, 2018
                 */
                class AbledSetSerialNumberCommand : public CommandBaseAbled
                {
                    public:

                        /**
                         * @brief  Creates an instance of the class.
                         * @author eduardo.fernandez
                         * @date   Jan 11, 2018
                         */
                        AbledSetSerialNumberCommand(HW::Connections::IConnection* connection, const  std::vector<unsigned char> & serialChars);

                        /**
                         * @brief  Destroys an instance of the class.
                         * @author eduardo.fernandez
                         * @date   Jan 11, 2018
                         */
                        virtual ~AbledSetSerialNumberCommand();

                    private:

                        /**
                         * @brief  Initialize the command.
                         * @author eduardo.fernandez
                         * @date   Jan 11, 2018
                         */
                        virtual void initialize();

                    private:

                        std::vector<unsigned char> m_serialChars;
                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */

#endif /* ABLED_SET_SERIAL_NUMBER_COMMAND_HXX */
