/**
 * @file	CommandBaseBarcode.cxx
 * @brief	command base barcode class.
 * @author	Yadickson Soto
 * @date	23/06/2015
 */

#include "CommandBaseBarcode.hxx"
#include <Commands/BarcodeHeaderCommandElement.hxx>
#include <Commands/BarcodeLengthCommandElement.hxx>
#include <Commands/DataCommandElement.hxx>
#include <Commands/BarcodeCRCCommandElement.hxx>

using namespace Smartmatic::SAES::HW::Commands;

CommandBaseBarcode::CommandBaseBarcode ( Smartmatic::SAES::HW::Connections::IConnection * connection )
    : CommandStructure ( connection )
{

}

CommandStructure::CommandList CommandBaseBarcode::getCommandList ()
{
    CommandList commands;

    commands.push_back ( new BarcodeHeaderCommandElement() );
    commands.push_back ( new BarcodeLengthCommandElement ( data ) );
    commands.push_back ( new DataCommandElement ( data ) );
    commands.push_back ( new BarcodeCRCCommandElement () );

    return commands;
}
