/**
 * @file   EurnDoorCommand.cxx
 * @brief  Implementation of EurnDoorCommand class.
 * @author manuel.arguelles
 * @date   Aug 28, 2017
 */

#include "EurnDoorCommand.hxx"

static const unsigned char DOOR_COMMAND = 0x04;
static const unsigned char OPEN_DOOR    = 0x02;
static const unsigned char CLOSE_DOOR   = 0x01;

using namespace Smartmatic::SAES::HW::Connections;
using namespace Smartmatic::SAES::HW::Commands;

EurnDoorCommand::EurnDoorCommand(IConnection* connection, const bool openDoor, const unsigned char time)
    : CommandBaseEurn(connection)
    , m_openDoor(openDoor)
    , m_time(time)
{
}

EurnDoorCommand::~EurnDoorCommand()
{
}

void EurnDoorCommand::initialize()
{
    commandByte.push_back(DOOR_COMMAND);
    data.push_back((m_openDoor ? OPEN_DOOR : CLOSE_DOOR));
    data.push_back(m_time);
}
