/**
 * @file   EurnDoorCommand.cxx
 * @brief  Implementation of EurnDoorCommand class.
 * @author manuel.arguelles
 * @date   Aug 28, 2017
 */

#include "EurnDoorWithLedCommand.hxx"

static const unsigned char DOOR_COMMAND = 0x03;

using namespace Smartmatic::SAES::HW::Connections;
using namespace Smartmatic::SAES::HW::Commands;

EurnDoorWithLedCommand::EurnDoorWithLedCommand(IConnection* connection, const unsigned char time, const unsigned char duringExecution, const unsigned char afterExecution)
    : CommandBaseEurn(connection)
    , m_time(time)
    , m_duringExecution(duringExecution)
    , m_afterExecution (afterExecution)
{
}

EurnDoorWithLedCommand::~EurnDoorWithLedCommand()
{
}

void EurnDoorWithLedCommand::initialize()
{
    commandByte.push_back(DOOR_COMMAND);
    data.push_back(( m_duringExecution + m_afterExecution));
    data.push_back(m_time);
}
