/**
 * @file   EurnGreenLedCommand.cxx
 * @brief  Implementation of EurnGreenLeedCommand class.
 * @author manuel.arguelles
 * @date   Aug 28, 2017
 */

#include "EurnGreenLedCommand.hxx"

static const unsigned char LED_COMMAND = 0x02;
static const unsigned char TURN_OFF    = 0x00;
static const unsigned char TURN_ON     = 0x02;

using namespace Smartmatic::SAES::HW::Connections;
using namespace Smartmatic::SAES::HW::Commands;

EurnGreenLedCommand::EurnGreenLedCommand(IConnection* connection, const bool turnOn, const unsigned char time, const unsigned char afterExecution)
    : CommandBaseEurn(connection)
    , m_turnOn(turnOn)
    , m_time(time)
    , m_afterExecution(afterExecution)
{
}

EurnGreenLedCommand::~EurnGreenLedCommand()
{
}

void EurnGreenLedCommand::initialize()
{
    commandByte.push_back(LED_COMMAND);
    data.push_back((m_turnOn ? TURN_ON + m_afterExecution : TURN_OFF));
    data.push_back(m_time);
}
