/**
 * @file   IOBDisableUsbCommand.cxx
 * @brief  Implementation of IOBDisableUsbCommand class.
 * @author eduardo.fernandez
 * @date   Jan 2, 2018
 */

#include "IOBDisableUsbCommand.hxx"
#include <Commands/DataCommandElement.hxx>

using namespace Smartmatic::SAES::HW::Commands;
using namespace Smartmatic::SAES::HW::Connections;

static const unsigned char COMMAND_MB = 0x1B;
static const unsigned char COMMAND_ID = 0x6C;
static const unsigned char TURN_OFF = 0x00;

IOBDisableUsbCommand::IOBDisableUsbCommand(HW::Connections::IConnection* connection, IOBUsbPort usbPort)
    : CommandBaseIOB(connection)
    , m_usbPort(usbPort)
{
    hasResponse_ = true;
}

IOBDisableUsbCommand::~IOBDisableUsbCommand()
{
}

void IOBDisableUsbCommand::initialize()
{
    data.push_back(COMMAND_MB);
    data.push_back(COMMAND_ID);
    data.push_back(static_cast<unsigned char>(m_usbPort & 0xFF));
    data.push_back(static_cast<unsigned char>((m_usbPort >> 8) & 0xFF));
    data.push_back(TURN_OFF);
}
