/*
 * IOBGetSerialNumberCommand.hxx
 *
 *  Created on: Jan 2, 2018
 *      Author: eduardo.fernandez
 */

#ifndef IOB_GET_SERIAL_NUMBER_COMMAND_HXX
#define IOB_GET_SERIAL_NUMBER_COMMAND_HXX

#include "CommandBaseIOB.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Connections
            {
                class IConnection;
            }

            namespace Commands
            {
                /**
                 * @class  IOBGetSerialNumberCommand
                 * @brief  Command to get the serial number from the IOB's EEPROM.
                 * @author eduardo.fernandez
                 * @date   Jan 2, 2018
                 */
                class IOBGetSerialNumberCommand : public CommandBaseIOB
                {
                    public:

                        /**
                         * @brief  Creates an instance of the class.
                         * @author eduardo.fernandez
                         * @date   Jan 2, 2018
                         */
                        explicit IOBGetSerialNumberCommand(HW::Connections::IConnection* connection);

                        /**
                         * @brief  Destroys an instance of the class.
                         * @author eduardo.fernandez
                         * @date   Jan 2, 2018
                         */
                        virtual ~IOBGetSerialNumberCommand();

                    private:

                        /**
                         * @brief  Initialize the command.
                         * @author eduardo.fernandez
                         * @date   Jan 2, 2018
                         */
                        virtual void initialize();

                    private:

                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */

#endif /* IOB_GET_SERIAL_NUMBER_COMMAND_HXX */
