/**
 * @file LengthCommandElement.cxx
 * @brief Defines the length representation command element.
 * @author	Yadickson Soto
 * @date	14/02/2014
 */

#include "LengthCommandElement.hxx"

using namespace Smartmatic::SAES::HW::Commands;

LengthCommandElement::LengthCommandElement ( unsigned int length )
    : length ( length )
{

}

LengthCommandElement::~LengthCommandElement()
{

}

void LengthCommandElement::addToCommand ( std::vector < unsigned char > & command )
{
    command.push_back ( ( unsigned char ) ( length & 0x000000ff ) );
}
