/**
 * @file   PDBFWVersionCommand.hxx
 * @brief  Declaration of PDBFWVersionCommand class.
 * @author manuel.arguelles
 * @date   Nov  1, 2017
 */

#ifndef PDB_FW_VERSION_COMMAND_HXX
#define PDB_FW_VERSION_COMMAND_HXX

#include "CommandBasePDB.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Connections
            {
                class IConnection;
            }

            namespace Commands
            {
                /**
                 * @class  PDBFWVersionCommand
                 * @brief  Command to ask the PDB for the FW.
                 * @author manuel.arguelles
                 * @date   Nov  1, 2017
                 */
                class PDBFWVersionCommand : public CommandBasePDB
                {
                    public:

                        /**
                         * @brief  Creates an instance of the class.
                         * @author manuel.arguelles
                         * @date   Nov  1, 2017
                         */
                        explicit PDBFWVersionCommand(HW::Connections::IConnection* connection);

                        /**
                         * @brief  Destroys an instance of the class.
                         * @author manuel.arguelles
                         * @date   Nov  1, 2017
                         */
                        virtual ~PDBFWVersionCommand();

                    private:

                        /**
                         * @brief  Initialize the command.
                         * @author manuel.arguelles
                         * @date   Nov  1, 2017
                         */
                        virtual void initialize();

                    private:
                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */


#endif /* PDB_FW_VERSION_COMMAND_HXX */
