/*
 * PDBSetSerialNumberCommand.cxx
 *
 *  Created on: Nov 18, 2017
 *      Author: marcelmancini
 */

#include "PDBSetSerialNumberCommand.hxx"
#include <Commands/DataCommandElement.hxx>

using namespace Smartmatic::SAES::HW::Commands;
using namespace Smartmatic::SAES::HW::Connections;

static const unsigned char COMMAND_MB = 0x1B;
static const unsigned char COMMAND_ID = 0x74;

PDBSetSerialNumberCommand::PDBSetSerialNumberCommand(HW::Connections::IConnection* connection, const std::vector<unsigned char> & serialChars)
    : CommandBasePDB(connection)
    , m_serialChars(serialChars)
{
    hasResponse_ = true;
}

PDBSetSerialNumberCommand::~PDBSetSerialNumberCommand()
{
}

void PDBSetSerialNumberCommand::initialize()
{
    data.push_back(COMMAND_MB);
    data.push_back(COMMAND_ID);
    data.insert(data.end(),m_serialChars.begin(), m_serialChars.end());
}



