/*
 * PDBDeviceConfigurationManager.cxx
 *
 *  Created on: Oct 31, 2017
 *      Author: juanvalera
 */

#include "PDBDeviceConfigurationManager.hxx"
#include "s-a-e-s-hardware-conf-manager.h"

using namespace Smartmatic::SAES::HW::Configuration;

PDBDeviceConfigurationManager * PDBDeviceConfigurationManager::instance = NULL; ///< The singleton instance

PDBDeviceConfigurationManager::PDBDeviceConfigurationManager()
{

}

PDBDeviceConfigurationManager::~PDBDeviceConfigurationManager()
{
    instance = NULL;
}

PDBPortType PDBDeviceConfigurationManager::getPDBPortForVIUSCRPowerCycle()
{
    return getPDBDeviceConfiguration().getPDBPortForA4517SCRPowerCycle();
}

PDBPortType PDBDeviceConfigurationManager::getPDBPortForA4517SCRPowerCycle()
{
    return getPDBDeviceConfiguration().getPDBPortForA4517SCRPowerCycle();
}

PDBDeviceConfiguration & PDBDeviceConfigurationManager::getConfiguration()
{
   return getPDBDeviceConfiguration();
}

PDBDeviceConfiguration & PDBDeviceConfigurationManager::getPDBDeviceConfiguration()
{
    if ( !SAESHardwareConfigurationManager::getInstance()->getConfiguration()->getPDBDeviceConfiguration().present() )
    {
        PDBDeviceConfiguration config;
        config.setPDBPortForA4517SCRPowerCycle(PDBPortType::PDB_DEVICE_USB_4);
//        config.setPDBPortForVIUSCRPowerCycle(PDBPortType::PDB_DEVICE_USB_10);
        SAESHardwareConfigurationManager::getInstance()->getConfiguration()->setPDBDeviceConfiguration ( config );
    }

    return SAESHardwareConfigurationManager::getInstance()->getConfiguration()->getPDBDeviceConfiguration().get();
}

PDBDeviceConfigurationManager * PDBDeviceConfigurationManager::getInstance ( PDBDeviceConfigurationManager * externManager )
{
    if ( ! instance )
    {
        instance = ( externManager == NULL ? new PDBDeviceConfigurationManager() : externManager );
    }

    return instance;
}
