#ifndef TEST_BARCODE_HEADER_COMMAND_ELEMENT_TEST
#define TEST_BARCODE_HEADER_COMMAND_ELEMENT_TEST

#ifdef ECUT_MAIN

#include <cppunit/extensions/HelperMacros.h>
#include <Commands/BarcodeHeaderCommandElement.hxx>
#include <System/Utils/StringUtils.hxx>

class HeaderCommandElementTest : public CPPUNIT_NS::TestFixture
{
    private:

        typedef Smartmatic::System::Utils::StringUtils StringUtils;
        typedef Smartmatic::SAES::HW::Commands::BarcodeHeaderCommandElement BarcodeHeaderCommandElement;

    public:

        HeaderCommandElementTest ()
        {

        }

        void setUp()
        {

        }

        void tearDown()
        {

        }

        void testHeaderCommand_BarcodeReader()
        {
            std::vector<unsigned char> command;
            BarcodeHeaderCommandElement header;

            std::string expected = "7e00";
            std::string result;

            header.addToCommand ( command );

            result = StringUtils::arrayHexToString ( command );

            CPPUNIT_ASSERT ( false == command.empty() );
            CPPUNIT_ASSERT ( expected == result );
        }

        CPPUNIT_TEST_SUITE ( HeaderCommandElementTest );

        CPPUNIT_TEST ( testHeaderCommand_BarcodeReader );

        CPPUNIT_TEST_SUITE_END();
};

#endif /* ECUT_MAIN */

#endif /* TEST_BARCODE_HEADER_COMMAND_ELEMENT_TEST */
