#ifndef TEST_HEADER_COMMAND_ELEMENT_TEST
#define TEST_HEADER_COMMAND_ELEMENT_TEST

#ifdef ECUT_MAIN

#include <cppunit/extensions/HelperMacros.h>
#include <Commands/AlarmHeaderCommandElement.hxx>
#include <Commands/P168AHeaderCommandElement.hxx>
#include <System/Utils/StringUtils.hxx>

class HeaderCommandElementTest : public CPPUNIT_NS::TestFixture
{
    private:

        typedef Smartmatic::System::Utils::StringUtils StringUtils;
        typedef Smartmatic::SAES::HW::Commands::AlarmHeaderCommandElement AlarmHeaderCommandElement;
        typedef Smartmatic::SAES::HW::Commands::P168AHeaderCommandElement P168AHeaderCommandElement;

    public:

        HeaderCommandElementTest ()
        {

        }

        void setUp()
        {

        }

        void tearDown()
        {

        }

        void testHeaderCommand_AlarmBox()
        {
            std::vector<unsigned char> command;
            AlarmHeaderCommandElement header;

            std::string expected = "55";
            std::string result;

            header.addToCommand ( command );

            result = StringUtils::arrayHexToString ( command );

            CPPUNIT_ASSERT ( false == command.empty() );
            CPPUNIT_ASSERT ( expected == result );
        }

        void testHeaderCommand_P168A()
        {
            std::vector<unsigned char> command;
            P168AHeaderCommandElement header;

            std::string expected = "1b";
            std::string result;

            header.addToCommand ( command );

            result = StringUtils::arrayHexToString ( command );

            CPPUNIT_ASSERT ( false == command.empty() );
            CPPUNIT_ASSERT ( expected == result );
        }

        CPPUNIT_TEST_SUITE ( HeaderCommandElementTest );

        CPPUNIT_TEST ( testHeaderCommand_AlarmBox );
        CPPUNIT_TEST ( testHeaderCommand_P168A );

        CPPUNIT_TEST_SUITE_END();
};

#endif /* ECUT_MAIN */

#endif /* TEST_HEADER_COMMAND_ELEMENT_TEST */
