/**
 * @file CommandStructureBase.hxx
 * @date 19/02/2014
 * @author Yadickson Soto
 */

#ifndef MOCK_COMMAND_STRUCTURE_CORE_HXX_
#define MOCK_COMMAND_STRUCTURE_CORE_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Commands/command-structure.h>

class MockCommandStructureCore : public Smartmatic::SAES::HW::Commands::CommandStructure,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        explicit MockCommandStructureCore ( Smartmatic::SAES::HW::Connections::IConnection * connection )
            : Smartmatic::SAES::HW::Commands::CommandStructure ( connection )
            , MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockCommandStructureCore" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE0 ( initialize )
        {
            hasResponse_ = true;
            retriesToReceive = 1;
            retriesToSend = 1;
        }

        virtual ~MockCommandStructureCore()
        {

        }

        MOCKPP_VOID_CHAINABLE0 ( MockCommandStructureCore, initialize );

        virtual MockCommandStructureCore::CommandList getCommandList ()
        {
            return commands;
        }

        virtual std::vector<unsigned char> getCommand ( const MockCommandStructureCore::CommandList & commands )
        {
            commandResult = Smartmatic::SAES::HW::Commands::CommandStructure::getCommand ( commands );
            return commandResult;
        }

        MockCommandStructureCore::CommandList commands;
        std::vector<unsigned char> commandResult;
};

#endif /* MOCK_COMMAND_STRUCTURE_CORE_HXX_ */
