/**
 * @file	BaseLanguageConfiguration.cxx
 * @brief	Body file to the base language configuration class by project. Call configuration methods to gettext
 * @date	18/11/2013
 * @author	Yadickson Soto
 */

#include "BaseLanguageConfiguration.hxx"

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_NLS
#include <libintl.h>
#endif

using namespace Smartmatic::Environment;

BaseLanguageConfiguration::BaseLanguageConfiguration()
{

}

BaseLanguageConfiguration::~BaseLanguageConfiguration()
{

}

void BaseLanguageConfiguration::InitializeLanguage()
{
#ifdef ENABLE_NLS
    bindtextdomain ( this->getPackageName().c_str(), this->getLocaleDir().c_str() );
    bind_textdomain_codeset ( this->getPackageName().c_str(), "UTF-8" );
#endif
}
