/**
 * @file HashException.hxx
 * @brief Class custom for exceptions in hashes validation
 */

#ifndef __HASH_EXCEPTION_H__
#define __HASH_EXCEPTION_H__

#include "BaseException.hxx"

namespace Smartmatic
{
    namespace System
    {
        namespace Exception
        {
            /**
             * @class	HashException
             * @brief	Header class HashException.
             * @author	eduardo.fernandez
             * @date	08/01/2019
             */
            class HashException : public BaseException
            {
                public:
                    /**
                     * @fn	HashException::HashException( std::string message, std::string code,
                     * 			Smartmatic::Log::ISMTTLog* logger)
                     * @brief	Class constructor.
                     * @author	eduardo.fernandez
                     * @date	08/01/2019
                     * @param	message	exception message.
                     * @param	code	 	exception code.
                     * @param	logger 	logger.
                     */
                    HashException ( std::string message, std::string code,
                                        Smartmatic::Log::ISMTTLog * logger )
                        : BaseException ( message, code, logger ) {}
            };
        }
    }
}

#endif /*__HASH_EXCEPTION_H__*/
