/**
 * @file VoteRecoveryException.hxx
 * @brief Class custom for exceptions in vote recovery
 */

#ifndef __VOTE_RECOVERY_EXCEPTION_H__
#define __VOTE_RECOVERY_EXCEPTION_H__

#include "BaseException.hxx"

namespace Smartmatic
{
    namespace System
    {
        namespace Exception
        {
            /**
             * @class	VoteRecoveryException
             * @brief	Header class VoteRecoveryException.
             * @author	Marcel Mancini &lt;marcel.mancini@smartmatic.com&gt;
             * @date	14-02-2011
             */
            class VoteRecoveryException : public BaseException
            {
                public:

                    /**
                    * @fn    VoteRecoveryException::VoteRecoveryException( std::string message, std::string code,
                    *         	Smartmatic::Log::ISMTTLog* logger)
                    * @brief	Class constructor.
                    * @author	Youssef.tourkmani
                    * @date	29/10/2012
                    * @param	message	exception message.
                    * @param	code	 	exception code.
                    * @param	logger 	logger.
                    */
                    VoteRecoveryException ( std::string message, std::string code,
                                            Smartmatic::Log::ISMTTLog * logger )
                        : BaseException ( message, code, logger ) {}
            };
        }
    }
}

#endif /*__VOTE_RECOVERY_EXCEPTION_H__*/
