/**
 * @file VotingDeviceException.hxx
 * @brief Class custom for exceptions in voting devices
 */

#ifndef __VOTING_DEVICE_EXCEPTION_H__
#define __VOTING_DEVICE_EXCEPTION_H__

#include "BaseException.hxx"

namespace Smartmatic
{
    namespace System
    {
        namespace Exception
        {
            /**
             * @class	VotingDeviceException
             * @brief	Header class VotingDeviceException.
             * @author	Yadickson Soto &lt;yadickson.soto@smartmatic.com&gt;
             * @date	14-02-2011
             */
            class VotingDeviceException : public BaseException
            {
                public:

                    /**
                    * @fn    VotingDeviceException::VotingDeviceException( std::string message, std::string code,
                    *         	Smartmatic::Log::ISMTTLog* logger)
                    * @brief	Class constructor.
                    * @author	Youssef.tourkmani
                    * @date	29/10/2012
                    * @param	message	exception message.
                    * @param	code	 	exception code.
                    * @param	logger 	logger.
                    */
                    VotingDeviceException ( std::string message, std::string code,
                                            Smartmatic::Log::ISMTTLog * logger )
                        : BaseException ( message, code, logger ) {}
            };
        }
    }
}

#endif /*__VOTING_DEVICE_EXCEPTION_H__*/
