/**
 * @file SafeList.hxx
 * @brief Class that inherits from std::list, used to unit test.
 * @author	Yadickson Soto
 * @date	23/04/2014
 */

#ifndef SAFELIST_HXX_
#define SAFELIST_HXX_

#include <list>
#include <iostream>

namespace Smartmatic
{
    namespace System
    {
        /**
         * @class SafeList
         * @brief	Class that inherits from std::list, used to unit test.
         * @author	Yadickson Soto
         * @date	23/04/2014
         */
        template <class T>
        class SafeList : public std::list<T>
        {
        };
    }
}

/**
 * @fn	void operator<< ( std::string & out, const Smartmatic::System::SafeList & list );
 * @brief	Overload operator << .
 * @author	Yadickson Soto
 * @date	21/04/2014
 * @param	out	output string
 * @param	list to output (only list size will be output)
 */
template <class T>
void operator<< ( std::string & out, const Smartmatic::System::SafeList<T> & list );

#include "SafeList.hpp"

#endif /* SAFELIST_HXX_ */
