/**
 * @file SafeTime.cxx
 * @brief Body safe time class
 * @date 12/03/2013
 * @author Yadickson Soto
 */

#include "SafeTime.hxx"
#include <iomanip>
#include <sstream>

using namespace Smartmatic::System;

SafeTime::SafeTime()
{
    initTime = 0;
    endTime = 0;
    resultTime = 0;
}

SafeTime::~SafeTime()
{

}

void SafeTime::start()
{
    initTime = time ( NULL );
}

void SafeTime::stop()
{
    endTime = time ( NULL );
    resultTime = endTime - initTime;
}

std::string SafeTime::getStringTime ()
{
    std::stringstream ss;

    ss << std::setw ( 2 ) << std::setfill ( '0' ) << getHour();
    ss << ":";
    ss << std::setw ( 2 ) << std::setfill ( '0' ) << getMinute();
    ss << ":";
    ss << std::setw ( 2 ) << std::setfill ( '0' ) << getSecond();

    return ss.str();
}

unsigned int SafeTime::getHour ()
{
    struct tm * Tm;
    Tm = gmtime ( &resultTime );
    return Tm->tm_hour;
}

unsigned int SafeTime::getMinute ()
{
    struct tm * Tm;
    Tm = gmtime ( &resultTime );
    return Tm->tm_min;
}

unsigned int SafeTime::getSecond ()
{
    struct tm * Tm;
    Tm = gmtime ( &resultTime );
    return Tm->tm_sec;
}

unsigned int SafeTime::getAllSeconds ()
{
    unsigned int result = 0;

    result += getHour() * 60 * 60;
    result += getMinute() * 60;
    result += getSecond();

    return result;
}
