/**
 * @file SignatureAlgorithm.cpp
 * @brief Body class signature algorithm
 * @date 10/11/2011
 * @author Freddy Gomez
 */

#include "SignatureAlgorithm.h"

using namespace Smartmatic::System::Security::Cryptography;
using namespace Smartmatic::System::Security;

SignatureAlgorithm::SignatureAlgorithm()
    : SecurityBase()
{

}

SignatureAlgorithm::~SignatureAlgorithm()
{

}

EVP_PKEY * SignatureAlgorithm::GetPublicKey() const
{
    return certificate ? certificate->LoadCertifiedPublicKey() : NULL;
}

EVP_PKEY * SignatureAlgorithm::GetPrivateKey() const
{
    return certificate ? certificate->LoadCertifiedPrivateKey() : NULL;
}

