/**
 * @file OpenSSLSecurity.cxx
 * @brief Body class openssl security environment
 * @date 06/02/2013
 * @author Yadickson Soto
 */

#include "OpenSSLSecurity.hxx"
#include <openssl/ssl.h>
#include <openssl/evp.h>
#include <openssl/err.h>

using namespace Smartmatic::System::Security;
bool OpenSSLSecurity::flagInit = false;

void OpenSSLSecurity::init()
{
    if ( !flagInit )
    {
        flagInit = true;
        OpenSSL_add_all_algorithms ();
        ERR_load_crypto_strings ();
        SSL_library_init();
    }
}

void OpenSSLSecurity::clear()
{
    EVP_cleanup ();
    ERR_free_strings ();
    CRYPTO_cleanup_all_ex_data();
    flagInit = false;
}
