/**
 * @file	beep-descriptor.cc
 *
 * @brief	Body file to the beep descriptor class.
 */

#include "System/Sounds/beep-descriptor.h"
#include <sstream>

using namespace Smartmatic::System::Sounds;

BeepDescriptor::BeepDescriptor()
{
    frequency = 0;
    time = 0;
    repetitions = 0;
    timeBetweenRepetitions = 0;
}

BeepDescriptor::BeepDescriptor ( int frequencyArg, int timeArg, int repetitionsArg, int timeBetweenRepetitionsArg )
{
    frequency = frequencyArg;
    time = timeArg;
    repetitions = repetitionsArg;
    timeBetweenRepetitions = timeBetweenRepetitionsArg;
}

std::string BeepDescriptor::GetBeepLine()
{
    std::string beepLine;
    std::stringstream frecuencyS;
    std::stringstream timeS;
    std::stringstream repetitionsS;
    std::stringstream timeBetweenRepetitionsS;
    frecuencyS << frequency;
    timeS << time;
    repetitionsS << repetitions;
    timeBetweenRepetitionsS << timeBetweenRepetitions;
    beepLine = " -f " + frecuencyS.str() + " -l " + timeS.str() + " -r " + repetitionsS.str() + " -d " + timeBetweenRepetitionsS.str();
    return beepLine;
}
