/**
 * @file   Xslt.cxx
 * @brief  Implementation of XSLT functions.
 * @author manuel.arguelles
 * @date   Mar 13, 2018
 */

#include "Xslt.hxx"
#include <libxml++/libxml++.h>
#include <libxslt/xslt.h>
#include <libxslt/transform.h>
#include <libxslt/xsltInternals.h>

using namespace Smartmatic::System::XML;

std::string Xslt::transformFile(const std::string& fileName, const std::string& styleSheet)
{
    xmlpp::DomParser inputXmlFile(fileName, false);
    xmlpp::DomParser xslt;

    xslt.parse_memory(styleSheet);

    xsltStylesheetPtr style = xsltParseStylesheetDoc(xslt.get_document()->cobj());
    xmlpp::Document finalDocument(xsltApplyStylesheet(style, inputXmlFile.get_document()->cobj(), NULL));

    return finalDocument.write_to_string();
}
