/**
 * @file MockExitProcess.hxx
 * @date 06/11/2013
 * @author Yadickson Soto
 */

#ifndef MOCK_EXIT_PROCESS_HXX
#define MOCK_EXIT_PROCESS_HXX

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <System/Runtime/ExitProcess.hxx>

class MockExitProcess : public Smartmatic::System::Runtime::ExitProcess,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockExitProcess ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockExitProcess" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE0 ( exitProcess )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT1 ( exitProcessWithCode, ext )
        {

        }

        MOCKPP_VOID_CHAINABLE0 ( MockExitProcess, exitProcess );

        MOCKPP_VOID_CHAINABLE_EXT1 ( MockExitProcess,
                                     exitProcessWithCode, int,
                                     ext, int );

};

#endif /* MOCK_EXIT_PROCESS_HXX */
