/*
 * MockFile.hxx
 *
 *  Created on: 06/11/2013
 *      Author: soto
 */

#ifndef MOCK_FILE_HXX
#define MOCK_FILE_HXX

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <System/IO/File.h>

class MockFile : public Smartmatic::System::IO::File,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockFile ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockFile" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( canOpenFile, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( DeleteFile, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( compareFiles, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( renameFile, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( openFileToBuffer, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( saveBufferToFile, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( addBufferToFile, ext )
        {

        }

        MOCKPP_CHAINABLE_EXT1 ( MockFile,
                                bool, canOpenFile, const std::string &,
                                bool, ext, const std::string * );

        MOCKPP_CHAINABLE_EXT1 ( MockFile,
                                bool, DeleteFile, const std::string &,
                                bool, ext, const std::string * );

        MOCKPP_CHAINABLE_EXT2 ( MockFile,
                                bool, compareFiles, const std::string &, const std::string &,
                                bool, ext, const std::string *, const std::string * );

        MOCKPP_CHAINABLE_EXT2 ( MockFile,
                                bool, renameFile, const std::string &, const std::string &,
                                bool, ext, const std::string *, const std::string * );

        MOCKPP_CHAINABLE_EXT2 ( MockFile,
                                bool, openFileToBuffer, const std::string &, Smartmatic::System::SafeBuffer &,
                                bool, ext, const std::string *, Smartmatic::System::SafeBuffer * );

        MOCKPP_CHAINABLE_EXT2 ( MockFile,
                                bool, saveBufferToFile, const Smartmatic::System::SafeBuffer &, const std::string &,
                                bool, ext, const Smartmatic::System::SafeBuffer *, const std::string * );

        MOCKPP_CHAINABLE_EXT2 ( MockFile,
                                bool, addBufferToFile, const Smartmatic::System::SafeBuffer &, const std::string &,
                                bool, ext, const Smartmatic::System::SafeBuffer *, const std::string * );

};

#endif /* MOCK_FILE_HXX */
