/**
 * @file MockNotifyFile.hxx
 * @date 05/06/2015
 * @author Yadickson Soto
 */

#ifndef MOCK_NOTIFY_FILE_HXX
#define MOCK_NOTIFY_FILE_HXX

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <System/IO/INotifyFile.hxx>

class MockNotifyFile : public Smartmatic::System::IO::INotifyFile,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockNotifyFile ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockNotifyFile" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE0 ( initialize )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE0 ( dispose )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT1 ( addPath, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getStatus )
        {

        }

        MOCKPP_VOID_CHAINABLE0 ( MockNotifyFile, initialize );

        MOCKPP_VOID_CHAINABLE0 ( MockNotifyFile, dispose );

        MOCKPP_VOID_CHAINABLE_EXT1 ( MockNotifyFile,
                                     addPath, const std::string &,
                                     ext, const std::string * );

        MOCKPP_CHAINABLE0 ( MockNotifyFile, Smartmatic::System::SafeList < StatusNotify >, getStatus );

};

#endif /* MOCK_NOTIFY_FILE_HXX */
