/*
 * MockResourcePathProvider.hxx
 *
 *  Created on: 02/12/2013
 *      Author: soto
 */

#ifndef MOCK_RESOURCE_PACH_PROVIDER_HXX
#define MOCK_RESOURCE_PACH_PROVIDER_HXX

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Environment/Configurations/resource-path-provider.h>

class MockResourcePathProvider : public Smartmatic::Environment::ResourcePathProvider,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockResourcePathProvider ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockResourcePathProvider" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( GetResourcePath, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( getResourcePath, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT3 ( getResourcePathByLanguage, ext )
        {

        }

        MOCKPP_CHAINABLE_EXT2 ( MockResourcePathProvider,
                                std::string, GetResourcePath, const std::string &, const std::string &,
                                std::string, ext, const std::string *, const std::string * );


        MOCKPP_CHAINABLE_EXT1 ( MockResourcePathProvider,
                                std::string, getResourcePath, const std::string &,
                                std::string, ext, const std::string * );


        MOCKPP_CHAINABLE_EXT3 ( MockResourcePathProvider,
                                std::string, getResourcePathByLanguage, const std::string &, const std::string &, const std::string &,
                                std::string, ext, const std::string *, const std::string *, const std::string * );
};

#endif /* MOCK_RESOURCE_PACH_PROVIDER_HXX */
