/*
 * MockCommandLauncher.hxx
 *
 *  Created on: 13/11/2013
 *      Author: soto
 */

#ifndef MOCK_COMMAND_PROCESS_LAUNCHER_HXX_
#define MOCK_COMMAND_PROCESS_LAUNCHER_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <System/Runtime/ProcessLauncher.h>

class MockCommandLauncher : public Smartmatic::System::Runtime::ProcessLauncher,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockCommandLauncher ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockCommandLauncher" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( getCommand, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( runCommand, ext )
        {

        }

        MOCKPP_CHAINABLE_EXT2 ( MockCommandLauncher,
                                std::string, getCommand, const std::string &, bool,
                                std::string, ext, const std::string *, bool );

        MOCKPP_CHAINABLE_EXT1 ( MockCommandLauncher,
                                int, runCommand, const std::string &,
                                int, ext, const std::string * );
};

#endif /* MOCK_COMMAND_PROCESS_LAUNCHER_HXX_ */
