#ifndef TEST_POWER_DOWN_TEST_
#define TEST_POWER_DOWN_TEST_

#ifdef ECUT_MAIN

#include <cppunit/extensions/HelperMacros.h>
#include <System/Runtime/PowerDown.hxx>
#include <System/Runtime/ProcessLauncher.h>
#include "MockProcessLauncher.hxx"
#include "StoreMockProcessLauncher.hxx"

class PowerDownTest : public CPPUNIT_NS::TestFixture
{
    private:

        typedef Smartmatic::System::Runtime::ProcessLauncher ProcessLauncher;
        typedef Smartmatic::System::Runtime::PowerDown PowerDown;

    public:

        PowerDownTest ()
        {

        }

        void setUp()
        {

        }

        void tearDown()
        {

        }

        void testCallPowerDown()
        {
            MockProcessLauncher launcher;
            ProcessLauncher::getInstance ( &launcher );

            MOCKPP_CHAINER_FOR_EXT ( MockProcessLauncher, RunProcessThroughSystem, ext ) RunProcessThroughSystem_mock ( &launcher );

            RunProcessThroughSystem_mock
            .expects ( MOCKPP_NS::once() )
            .will ( MOCKPP_NS::returnValue<int> ( 0 ) );

            PowerDown::shutdown();

            RunProcessThroughSystem_mock.verify();
        }

        void testtestCallPowerDownStoreParameters()
        {
            StoreMockProcessLauncher launcher;
            ProcessLauncher::getInstance ( &launcher );
            std::string expected = "poweroff";

            PowerDown::shutdown();

            CPPUNIT_ASSERT ( 0 == expected.compare ( launcher.RunProcessThroughSystemCommandLine ) );
            CPPUNIT_ASSERT ( true == launcher.RunProcessThroughSystemBackground );
        }

        CPPUNIT_TEST_SUITE ( PowerDownTest );

        CPPUNIT_TEST ( testCallPowerDown );
        CPPUNIT_TEST ( testtestCallPowerDownStoreParameters );

        CPPUNIT_TEST_SUITE_END();
};

#endif /* ECUT_MAIN */

#endif /* TEST_POWER_DOWN_TEST_ */
