/**
 * @file ITableWidget.hxx
 * @brief Header Table Widget, define method more used
 * @date 22/04/2013
 * @author Yadickson Soto
 */

#ifndef ITABLEWIDGET_HXX_
#define ITABLEWIDGET_HXX_

#include <string>

namespace Smartmatic
{
    namespace GUI
    {
        namespace Widgets
        {

            /**
             * @class ITableWidget
             * @brief Table Widget, define method more used
             * @date 22/04/2013
             * @author Yadickson Soto
             */
            class ITableWidget
            {
                public:
                    /**
                     * @fn virtual ~ITableWidget()
                     * @brief Class destructor
                     * @date 22/04/2013
                     * @author Yadickson Soto
                     */
                    virtual ~ITableWidget() {};
                    /**
                     * @fn	virtual void resize(unsigned int row, unsigned int column) = 0;
                     * @brief	method resize table.
                     * @author	Yadickson Soto
                     * @date	16/03/2012
                     * @param	row			row number.
                     * @param	column	column number.
                     */
                    virtual void resize ( unsigned int row, unsigned int column ) = 0;
                    /**
                     * @fn	virtual void setSpacings(int row, int column);
                     * @brief	method set spacings table.
                     * @author	Yadickson Soto
                     * @date	16/03/2012
                     * @param	row	row spacings.
                     * @param	column	column spacings.
                     */
                    virtual void setSpacings ( int row, int column ) = 0;
                    /**
                     * @fn	virtual void put( void * widget, int row, int column) = 0;
                     * @brief	method put new element in table.
                     * @author	Yadickson Soto
                     * @date	16/03/2012
                     * @param	widget	new widget.
                     * @param	row			row position.
                     * @param	column	column position.
                     */
                    virtual void put ( void * widget, int row, int column ) = 0;
            };

        } /* namespace Widgets */
    } /* namespace GUI */
} /* namespace Smartmatic */
#endif /* ITABLEWIDGET_HXX_ */
