/**
 * @file SmartmaticBasicButton.hxx
 * @brief Header basic button widget class
 * @date 25/04/2013
 * @author Yadickson Soto
 */

#ifndef _SMARTMATIC_BASICBUTTON_H_
#define _SMARTMATIC_BASICBUTTON_H_

#include <gtkmm.h>
#include <Operation/AccessibleNameWidget.hxx>

namespace Smartmatic
{
    namespace GUI
    {
        namespace Widgets
        {
            /**
             * @class	SmartmaticBasicButton
             * @brief	Smartmatic button.
             * @author	Yadickson Soto
             * @date	24/04/2013
             */
            class SmartmaticBasicButton : public Gtk::Button, public Smartmatic::GUI::Operation::AccessibleNameWidget
            {
                public:
                    /**
                     * @fn	SmartmaticBasicButton::SmartmaticBasicButton();
                     * @brief	constructors.
                     * @author	Yadickson Soto
                     * @date	27/04/2011
                     */
                    SmartmaticBasicButton();

                    /**
                     * @fn	SmartmaticBasicButton(BaseObjectType* cobject, const Glib::RefPtr<Gtk::Builder>& refBuilder=Gtk::Builder::create());
                     * @brief	Constructor.
                     * @date 24/04/2013
                     * @author Yadickson Soto
                     * @param	cobject			If non-null, the cobject.
                     * @param	refBuilder	(optional) the reference builder.
                     */
                    SmartmaticBasicButton ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder = Gtk::Builder::create() );

                    /**
                     * @fn	virtual ~SmartmaticBasicButton();
                     * @brief	Class destructor.
                     * @author	Yadickson Soto
                     * @date	25/04/2013
                     */
                    virtual ~SmartmaticBasicButton();
            };
        }
    }
}

#endif // _SMARTMATIC_BASICBUTTON_H_
