/**
 * @file SmartmaticBasicComboBox.hxx
 * @brief Header basic combo box widget class
 * @date 25/04/2013
 * @author Yadickson Soto
 */

#ifndef _SMARTMATIC_BASICCOMBOBOX_H_
#define _SMARTMATIC_BASICCOMBOBOX_H_

#include <gtkmm.h>
#include <Operation/AccessibleNameWidget.hxx>

namespace Smartmatic
{
    namespace GUI
    {
        namespace Widgets
        {
            /**
             * @class	SmartmaticBasicComboBox
             * @brief	Smartmatic basic combo box.
             * @date 25/04/2013
             * @author Yadickson Soto
             */
            class SmartmaticBasicComboBox: public Gtk::ComboBox, public Smartmatic::GUI::Operation::AccessibleNameWidget
            {

                public:

                    /**
                     * @fn	SmartmaticBasicComboBox();
                     * @brief	Default constructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     */
                    SmartmaticBasicComboBox();

                    /**
                     * @fn	SmartmaticBasicComboBox(BaseObjectType* cobject,
                     * 			const Glib::RefPtr<Gtk::Builder>& refBuilder=Gtk::Builder::create());
                     * @brief	Constructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     * @param	cobject			If non-null, the cobject.
                     * @param	refBuilder	(optional) the reference builder.
                     */
                    SmartmaticBasicComboBox ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder = Gtk::Builder::create() );

                    /**
                     * @fn	virtual ~SmartmaticBasicComboBox();
                     * @brief	Class destructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     */
                    virtual ~SmartmaticBasicComboBox();
            };
        }
    }
}

#endif // _SMARTMATIC_BASICCOMBOBOX_H_
