/**
 * @file SmartmaticBasicImage.hxx
 * @brief Header basic image widget class
 * @date 25/04/2013
 * @author Yadickson Soto
 */

#ifndef _SMARTMATIC_BASICIMAGE_H_
#define _SMARTMATIC_BASICIMAGE_H_

#include <gtkmm.h>
#include <Operation/AccessibleNameWidget.hxx>

namespace Smartmatic
{
    namespace GUI
    {
        namespace Widgets
        {
            /**
             * @class	SmartmaticBasicImage
             * @brief	Smartmatic basic image.
             * @date 25/04/2013
             * @author Yadickson Soto
             */
            class SmartmaticBasicImage: public Gtk::Image, public Smartmatic::GUI::Operation::AccessibleNameWidget
            {

                public:

                    /**
                     * @fn	SmartmaticBasicImage();
                     * @brief	Default constructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     */
                    SmartmaticBasicImage();

                    /**
                     * @fn	SmartmaticBasicImage( const std::string& file );
                     * @brief	Default constructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     * @param file file path image
                     */
                    explicit SmartmaticBasicImage ( const std::string & file );

                    /**
                     * @fn	SmartmaticBasicImage(BaseObjectType* cobject,
                     * 			const Glib::RefPtr<Gtk::Builder>& refBuilder=Gtk::Builder::create());
                     * @brief	Constructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     * @param	cobject			If non-null, the cobject.
                     * @param	refBuilder	(optional) the reference builder.
                     */
                    SmartmaticBasicImage ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder = Gtk::Builder::create() );

                    /**
                     * @fn	virtual ~SmartmaticBasicImage();
                     * @brief	Class destructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     */
                    virtual ~SmartmaticBasicImage();
            };
        }
    }
}

#endif // _SMARTMATIC_BASICIMAGE_H_
