/**
 * @file SmartmaticBasicLabel.cxx
 * @brief Body basic label widget class
 * @date 24/04/2013
 * @author Yadickson Soto
 */

#include "SmartmaticBasicLabel.hxx"

#define ACCESSIBLE_TYPE "label" ///< accessible type

using namespace Smartmatic::GUI::Widgets;

SmartmaticBasicLabel::SmartmaticBasicLabel()
    : Gtk::Label(), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicLabel::SmartmaticBasicLabel ( const Glib::ustring & label, bool mnemonic )
    : Gtk::Label ( label, mnemonic ), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicLabel::SmartmaticBasicLabel ( const Glib::ustring & label, float xalign, float yalign, bool mnemonic )
    : Gtk::Label ( label, xalign, yalign, mnemonic ), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicLabel::SmartmaticBasicLabel ( const Glib::ustring & label, Gtk::AlignmentEnum xalign, Gtk::AlignmentEnum yalign, bool mnemonic )
    : Gtk::Label ( label, xalign, yalign, mnemonic ), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicLabel::SmartmaticBasicLabel ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder )
    : Gtk::Label ( cobject ), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicLabel::~SmartmaticBasicLabel()
{
}
