/**
 * @file SmartmaticSpinButton.cxx
 * @brief Body smartmatic spin button widget class
 * @date 02/09/2013
 * @author Yadickson Soto
 */

#include "SmartmaticSpinButton.hxx"
#include <System/Utils/StringUtils.hxx>

#define ACCESSIBLE_TYPE "button" ///< accessible type

using namespace Smartmatic::GUI::Widgets;
using namespace Smartmatic::System::Utils;

SmartmaticSpinButton::SmartmaticSpinButton()
    : SmartmaticBasicSpinButton (),
      ISmartmaticText()

{

}

SmartmaticSpinButton::SmartmaticSpinButton ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder )
    : SmartmaticBasicSpinButton ( cobject, refBuilder ),
      ISmartmaticText()
{

}

SmartmaticSpinButton::~SmartmaticSpinButton()
{

}

void SmartmaticSpinButton::setMax ( int max )
{
    set_max_length ( max );
    ISmartmaticText::setMax ( max );
}

void SmartmaticSpinButton::setText ( std::string text )
{
    this->set_value ( StringUtils::stringToDouble ( text ) );
}

std::string SmartmaticSpinButton::getText()
{
    return StringUtils::intToString ( this->get_value_as_int() );
}

void SmartmaticSpinButton::setBGError()
{
    //set_name ( "entry_error_frame_scroll_preview_voting_machine" );
}

void SmartmaticSpinButton::setBGNormal()
{
    set_name ( getThemeConfiguration() );
}
